//go:build go1.9
// +build go1.9

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.

// This code was auto-generated by:
// github.com/Azure/azure-sdk-for-go/eng/tools/profileBuilder

package storagedatalake

import original "github.com/Azure/azure-sdk-for-go/services/preview/storage/datalake/2018-06-17/storagedatalake"

const (
	DefaultDNSSuffix = original.DefaultDNSSuffix
)

type PathGetPropertiesAction = original.PathGetPropertiesAction

const (
	GetAccessControl PathGetPropertiesAction = original.GetAccessControl
)

type PathLeaseAction = original.PathLeaseAction

const (
	Acquire PathLeaseAction = original.Acquire
	Break   PathLeaseAction = original.Break
	Change  PathLeaseAction = original.Change
	Release PathLeaseAction = original.Release
	Renew   PathLeaseAction = original.Renew
)

type PathRenameMode = original.PathRenameMode

const (
	Legacy PathRenameMode = original.Legacy
	Posix  PathRenameMode = original.Posix
)

type PathResourceType = original.PathResourceType

const (
	Directory PathResourceType = original.Directory
	File      PathResourceType = original.File
)

type PathUpdateAction = original.PathUpdateAction

const (
	Append           PathUpdateAction = original.Append
	Flush            PathUpdateAction = original.Flush
	SetAccessControl PathUpdateAction = original.SetAccessControl
	SetProperties    PathUpdateAction = original.SetProperties
)

type PathUpdateLeaseAction = original.PathUpdateLeaseAction

const (
	PathUpdateLeaseActionRelease PathUpdateLeaseAction = original.PathUpdateLeaseActionRelease
	PathUpdateLeaseActionRenew   PathUpdateLeaseAction = original.PathUpdateLeaseActionRenew
)

type BaseClient = original.BaseClient
type DataLakeStorageError = original.DataLakeStorageError
type DataLakeStorageErrorError = original.DataLakeStorageErrorError
type Filesystem = original.Filesystem
type FilesystemClient = original.FilesystemClient
type FilesystemList = original.FilesystemList
type Path = original.Path
type PathClient = original.PathClient
type PathList = original.PathList
type ReadCloser = original.ReadCloser

func New(xMsVersion string, accountName string) BaseClient {
	return original.New(xMsVersion, accountName)
}
func NewFilesystemClient(xMsVersion string, accountName string) FilesystemClient {
	return original.NewFilesystemClient(xMsVersion, accountName)
}
func NewPathClient(xMsVersion string, accountName string) PathClient {
	return original.NewPathClient(xMsVersion, accountName)
}
func NewWithoutDefaults(xMsVersion string, accountName string, dNSSuffix string) BaseClient {
	return original.NewWithoutDefaults(xMsVersion, accountName, dNSSuffix)
}
func PossiblePathGetPropertiesActionValues() []PathGetPropertiesAction {
	return original.PossiblePathGetPropertiesActionValues()
}
func PossiblePathLeaseActionValues() []PathLeaseAction {
	return original.PossiblePathLeaseActionValues()
}
func PossiblePathRenameModeValues() []PathRenameMode {
	return original.PossiblePathRenameModeValues()
}
func PossiblePathResourceTypeValues() []PathResourceType {
	return original.PossiblePathResourceTypeValues()
}
func PossiblePathUpdateActionValues() []PathUpdateAction {
	return original.PossiblePathUpdateActionValues()
}
func PossiblePathUpdateLeaseActionValues() []PathUpdateLeaseAction {
	return original.PossiblePathUpdateLeaseActionValues()
}
func UserAgent() string {
	return original.UserAgent() + " profiles/preview"
}
func Version() string {
	return original.Version()
}
