//go:build go1.9
// +build go1.9

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.

// This code was auto-generated by:
// github.com/Azure/azure-sdk-for-go/eng/tools/profileBuilder

package backup

import (
	"context"

	original "github.com/Azure/azure-sdk-for-go/services/recoveryservices/mgmt/2022-03-01/backup"
)

const (
	DefaultBaseURI = original.DefaultBaseURI
)

type AcquireStorageAccountLock = original.AcquireStorageAccountLock

const (
	AcquireStorageAccountLockAcquire    AcquireStorageAccountLock = original.AcquireStorageAccountLockAcquire
	AcquireStorageAccountLockNotAcquire AcquireStorageAccountLock = original.AcquireStorageAccountLockNotAcquire
)

type AzureFileShareType = original.AzureFileShareType

const (
	AzureFileShareTypeInvalid AzureFileShareType = original.AzureFileShareTypeInvalid
	AzureFileShareTypeXSMB    AzureFileShareType = original.AzureFileShareTypeXSMB
	AzureFileShareTypeXSync   AzureFileShareType = original.AzureFileShareTypeXSync
)

type ContainerType = original.ContainerType

const (
	ContainerTypeAzureBackupServerContainer ContainerType = original.ContainerTypeAzureBackupServerContainer
	ContainerTypeAzureSQLContainer          ContainerType = original.ContainerTypeAzureSQLContainer
	ContainerTypeCluster                    ContainerType = original.ContainerTypeCluster
	ContainerTypeDPMContainer               ContainerType = original.ContainerTypeDPMContainer
	ContainerTypeGenericContainer           ContainerType = original.ContainerTypeGenericContainer
	ContainerTypeIaasVMContainer            ContainerType = original.ContainerTypeIaasVMContainer
	ContainerTypeIaasVMServiceContainer     ContainerType = original.ContainerTypeIaasVMServiceContainer
	ContainerTypeInvalid                    ContainerType = original.ContainerTypeInvalid
	ContainerTypeMABContainer               ContainerType = original.ContainerTypeMABContainer
	ContainerTypeSQLAGWorkLoadContainer     ContainerType = original.ContainerTypeSQLAGWorkLoadContainer
	ContainerTypeStorageContainer           ContainerType = original.ContainerTypeStorageContainer
	ContainerTypeUnknown                    ContainerType = original.ContainerTypeUnknown
	ContainerTypeVCenter                    ContainerType = original.ContainerTypeVCenter
	ContainerTypeVMAppContainer             ContainerType = original.ContainerTypeVMAppContainer
	ContainerTypeWindows                    ContainerType = original.ContainerTypeWindows
)

type ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainer

const (
	ContainerTypeBasicProtectionContainerContainerTypeAzureBackupServerContainer             ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeAzureBackupServerContainer
	ContainerTypeBasicProtectionContainerContainerTypeAzureSQLContainer                      ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeAzureSQLContainer
	ContainerTypeBasicProtectionContainerContainerTypeAzureWorkloadContainer                 ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeAzureWorkloadContainer
	ContainerTypeBasicProtectionContainerContainerTypeDPMContainer                           ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeDPMContainer
	ContainerTypeBasicProtectionContainerContainerTypeGenericContainer                       ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeGenericContainer
	ContainerTypeBasicProtectionContainerContainerTypeIaasVMContainer                        ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeIaasVMContainer
	ContainerTypeBasicProtectionContainerContainerTypeMicrosoftClassicComputevirtualMachines ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeMicrosoftClassicComputevirtualMachines
	ContainerTypeBasicProtectionContainerContainerTypeMicrosoftComputevirtualMachines        ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeMicrosoftComputevirtualMachines
	ContainerTypeBasicProtectionContainerContainerTypeProtectionContainer                    ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeProtectionContainer
	ContainerTypeBasicProtectionContainerContainerTypeSQLAGWorkLoadContainer                 ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeSQLAGWorkLoadContainer
	ContainerTypeBasicProtectionContainerContainerTypeStorageContainer                       ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeStorageContainer
	ContainerTypeBasicProtectionContainerContainerTypeVMAppContainer                         ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeVMAppContainer
	ContainerTypeBasicProtectionContainerContainerTypeWindows                                ContainerTypeBasicProtectionContainer = original.ContainerTypeBasicProtectionContainerContainerTypeWindows
)

type CopyOptions = original.CopyOptions

const (
	CopyOptionsCreateCopy     CopyOptions = original.CopyOptionsCreateCopy
	CopyOptionsFailOnConflict CopyOptions = original.CopyOptionsFailOnConflict
	CopyOptionsInvalid        CopyOptions = original.CopyOptionsInvalid
	CopyOptionsOverwrite      CopyOptions = original.CopyOptionsOverwrite
	CopyOptionsSkip           CopyOptions = original.CopyOptionsSkip
)

type CreateMode = original.CreateMode

const (
	CreateModeDefault CreateMode = original.CreateModeDefault
	CreateModeInvalid CreateMode = original.CreateModeInvalid
	CreateModeRecover CreateMode = original.CreateModeRecover
)

type DataMoveLevel = original.DataMoveLevel

const (
	DataMoveLevelContainer DataMoveLevel = original.DataMoveLevelContainer
	DataMoveLevelInvalid   DataMoveLevel = original.DataMoveLevelInvalid
	DataMoveLevelVault     DataMoveLevel = original.DataMoveLevelVault
)

type DataSourceType = original.DataSourceType

const (
	DataSourceTypeAzureFileShare    DataSourceType = original.DataSourceTypeAzureFileShare
	DataSourceTypeAzureSQLDb        DataSourceType = original.DataSourceTypeAzureSQLDb
	DataSourceTypeClient            DataSourceType = original.DataSourceTypeClient
	DataSourceTypeExchange          DataSourceType = original.DataSourceTypeExchange
	DataSourceTypeFileFolder        DataSourceType = original.DataSourceTypeFileFolder
	DataSourceTypeGenericDataSource DataSourceType = original.DataSourceTypeGenericDataSource
	DataSourceTypeInvalid           DataSourceType = original.DataSourceTypeInvalid
	DataSourceTypeSAPAseDatabase    DataSourceType = original.DataSourceTypeSAPAseDatabase
	DataSourceTypeSAPHanaDatabase   DataSourceType = original.DataSourceTypeSAPHanaDatabase
	DataSourceTypeSharepoint        DataSourceType = original.DataSourceTypeSharepoint
	DataSourceTypeSQLDataBase       DataSourceType = original.DataSourceTypeSQLDataBase
	DataSourceTypeSQLDB             DataSourceType = original.DataSourceTypeSQLDB
	DataSourceTypeSystemState       DataSourceType = original.DataSourceTypeSystemState
	DataSourceTypeVM                DataSourceType = original.DataSourceTypeVM
	DataSourceTypeVMwareVM          DataSourceType = original.DataSourceTypeVMwareVM
)

type DayOfWeek = original.DayOfWeek

const (
	DayOfWeekFriday    DayOfWeek = original.DayOfWeekFriday
	DayOfWeekMonday    DayOfWeek = original.DayOfWeekMonday
	DayOfWeekSaturday  DayOfWeek = original.DayOfWeekSaturday
	DayOfWeekSunday    DayOfWeek = original.DayOfWeekSunday
	DayOfWeekThursday  DayOfWeek = original.DayOfWeekThursday
	DayOfWeekTuesday   DayOfWeek = original.DayOfWeekTuesday
	DayOfWeekWednesday DayOfWeek = original.DayOfWeekWednesday
)

type DedupState = original.DedupState

const (
	DedupStateDisabled DedupState = original.DedupStateDisabled
	DedupStateEnabled  DedupState = original.DedupStateEnabled
	DedupStateInvalid  DedupState = original.DedupStateInvalid
)

type EncryptionAtRestType = original.EncryptionAtRestType

const (
	EncryptionAtRestTypeCustomerManaged  EncryptionAtRestType = original.EncryptionAtRestTypeCustomerManaged
	EncryptionAtRestTypeInvalid          EncryptionAtRestType = original.EncryptionAtRestTypeInvalid
	EncryptionAtRestTypeMicrosoftManaged EncryptionAtRestType = original.EncryptionAtRestTypeMicrosoftManaged
)

type EngineType = original.EngineType

const (
	EngineTypeBackupEngineTypeAzureBackupServerEngine EngineType = original.EngineTypeBackupEngineTypeAzureBackupServerEngine
	EngineTypeBackupEngineTypeBackupEngineBase        EngineType = original.EngineTypeBackupEngineTypeBackupEngineBase
	EngineTypeBackupEngineTypeDpmBackupEngine         EngineType = original.EngineTypeBackupEngineTypeDpmBackupEngine
)

type EnhancedSecurityState = original.EnhancedSecurityState

const (
	EnhancedSecurityStateDisabled EnhancedSecurityState = original.EnhancedSecurityStateDisabled
	EnhancedSecurityStateEnabled  EnhancedSecurityState = original.EnhancedSecurityStateEnabled
	EnhancedSecurityStateInvalid  EnhancedSecurityState = original.EnhancedSecurityStateInvalid
)

type FabricName = original.FabricName

const (
	FabricNameAzure   FabricName = original.FabricNameAzure
	FabricNameInvalid FabricName = original.FabricNameInvalid
)

type FeatureType = original.FeatureType

const (
	FeatureTypeAzureBackupGoals      FeatureType = original.FeatureTypeAzureBackupGoals
	FeatureTypeAzureVMResourceBackup FeatureType = original.FeatureTypeAzureVMResourceBackup
	FeatureTypeFeatureSupportRequest FeatureType = original.FeatureTypeFeatureSupportRequest
)

type HTTPStatusCode = original.HTTPStatusCode

const (
	HTTPStatusCodeAccepted                     HTTPStatusCode = original.HTTPStatusCodeAccepted
	HTTPStatusCodeAmbiguous                    HTTPStatusCode = original.HTTPStatusCodeAmbiguous
	HTTPStatusCodeBadGateway                   HTTPStatusCode = original.HTTPStatusCodeBadGateway
	HTTPStatusCodeBadRequest                   HTTPStatusCode = original.HTTPStatusCodeBadRequest
	HTTPStatusCodeConflict                     HTTPStatusCode = original.HTTPStatusCodeConflict
	HTTPStatusCodeContinue                     HTTPStatusCode = original.HTTPStatusCodeContinue
	HTTPStatusCodeCreated                      HTTPStatusCode = original.HTTPStatusCodeCreated
	HTTPStatusCodeExpectationFailed            HTTPStatusCode = original.HTTPStatusCodeExpectationFailed
	HTTPStatusCodeForbidden                    HTTPStatusCode = original.HTTPStatusCodeForbidden
	HTTPStatusCodeFound                        HTTPStatusCode = original.HTTPStatusCodeFound
	HTTPStatusCodeGatewayTimeout               HTTPStatusCode = original.HTTPStatusCodeGatewayTimeout
	HTTPStatusCodeGone                         HTTPStatusCode = original.HTTPStatusCodeGone
	HTTPStatusCodeHTTPVersionNotSupported      HTTPStatusCode = original.HTTPStatusCodeHTTPVersionNotSupported
	HTTPStatusCodeInternalServerError          HTTPStatusCode = original.HTTPStatusCodeInternalServerError
	HTTPStatusCodeLengthRequired               HTTPStatusCode = original.HTTPStatusCodeLengthRequired
	HTTPStatusCodeMethodNotAllowed             HTTPStatusCode = original.HTTPStatusCodeMethodNotAllowed
	HTTPStatusCodeMoved                        HTTPStatusCode = original.HTTPStatusCodeMoved
	HTTPStatusCodeMovedPermanently             HTTPStatusCode = original.HTTPStatusCodeMovedPermanently
	HTTPStatusCodeMultipleChoices              HTTPStatusCode = original.HTTPStatusCodeMultipleChoices
	HTTPStatusCodeNoContent                    HTTPStatusCode = original.HTTPStatusCodeNoContent
	HTTPStatusCodeNonAuthoritativeInformation  HTTPStatusCode = original.HTTPStatusCodeNonAuthoritativeInformation
	HTTPStatusCodeNotAcceptable                HTTPStatusCode = original.HTTPStatusCodeNotAcceptable
	HTTPStatusCodeNotFound                     HTTPStatusCode = original.HTTPStatusCodeNotFound
	HTTPStatusCodeNotImplemented               HTTPStatusCode = original.HTTPStatusCodeNotImplemented
	HTTPStatusCodeNotModified                  HTTPStatusCode = original.HTTPStatusCodeNotModified
	HTTPStatusCodeOK                           HTTPStatusCode = original.HTTPStatusCodeOK
	HTTPStatusCodePartialContent               HTTPStatusCode = original.HTTPStatusCodePartialContent
	HTTPStatusCodePaymentRequired              HTTPStatusCode = original.HTTPStatusCodePaymentRequired
	HTTPStatusCodePreconditionFailed           HTTPStatusCode = original.HTTPStatusCodePreconditionFailed
	HTTPStatusCodeProxyAuthenticationRequired  HTTPStatusCode = original.HTTPStatusCodeProxyAuthenticationRequired
	HTTPStatusCodeRedirect                     HTTPStatusCode = original.HTTPStatusCodeRedirect
	HTTPStatusCodeRedirectKeepVerb             HTTPStatusCode = original.HTTPStatusCodeRedirectKeepVerb
	HTTPStatusCodeRedirectMethod               HTTPStatusCode = original.HTTPStatusCodeRedirectMethod
	HTTPStatusCodeRequestedRangeNotSatisfiable HTTPStatusCode = original.HTTPStatusCodeRequestedRangeNotSatisfiable
	HTTPStatusCodeRequestEntityTooLarge        HTTPStatusCode = original.HTTPStatusCodeRequestEntityTooLarge
	HTTPStatusCodeRequestTimeout               HTTPStatusCode = original.HTTPStatusCodeRequestTimeout
	HTTPStatusCodeRequestURITooLong            HTTPStatusCode = original.HTTPStatusCodeRequestURITooLong
	HTTPStatusCodeResetContent                 HTTPStatusCode = original.HTTPStatusCodeResetContent
	HTTPStatusCodeSeeOther                     HTTPStatusCode = original.HTTPStatusCodeSeeOther
	HTTPStatusCodeServiceUnavailable           HTTPStatusCode = original.HTTPStatusCodeServiceUnavailable
	HTTPStatusCodeSwitchingProtocols           HTTPStatusCode = original.HTTPStatusCodeSwitchingProtocols
	HTTPStatusCodeTemporaryRedirect            HTTPStatusCode = original.HTTPStatusCodeTemporaryRedirect
	HTTPStatusCodeUnauthorized                 HTTPStatusCode = original.HTTPStatusCodeUnauthorized
	HTTPStatusCodeUnsupportedMediaType         HTTPStatusCode = original.HTTPStatusCodeUnsupportedMediaType
	HTTPStatusCodeUnused                       HTTPStatusCode = original.HTTPStatusCodeUnused
	HTTPStatusCodeUpgradeRequired              HTTPStatusCode = original.HTTPStatusCodeUpgradeRequired
	HTTPStatusCodeUseProxy                     HTTPStatusCode = original.HTTPStatusCodeUseProxy
)

type HealthState = original.HealthState

const (
	HealthStateActionRequired  HealthState = original.HealthStateActionRequired
	HealthStateActionSuggested HealthState = original.HealthStateActionSuggested
	HealthStateInvalid         HealthState = original.HealthStateInvalid
	HealthStatePassed          HealthState = original.HealthStatePassed
)

type HealthStatus = original.HealthStatus

const (
	HealthStatusActionRequired  HealthStatus = original.HealthStatusActionRequired
	HealthStatusActionSuggested HealthStatus = original.HealthStatusActionSuggested
	HealthStatusInvalid         HealthStatus = original.HealthStatusInvalid
	HealthStatusPassed          HealthStatus = original.HealthStatusPassed
)

type IAASVMPolicyType = original.IAASVMPolicyType

const (
	IAASVMPolicyTypeInvalid IAASVMPolicyType = original.IAASVMPolicyTypeInvalid
	IAASVMPolicyTypeV1      IAASVMPolicyType = original.IAASVMPolicyTypeV1
	IAASVMPolicyTypeV2      IAASVMPolicyType = original.IAASVMPolicyTypeV2
)

type InfrastructureEncryptionState = original.InfrastructureEncryptionState

const (
	InfrastructureEncryptionStateDisabled InfrastructureEncryptionState = original.InfrastructureEncryptionStateDisabled
	InfrastructureEncryptionStateEnabled  InfrastructureEncryptionState = original.InfrastructureEncryptionStateEnabled
	InfrastructureEncryptionStateInvalid  InfrastructureEncryptionState = original.InfrastructureEncryptionStateInvalid
)

type InquiryStatus = original.InquiryStatus

const (
	InquiryStatusFailed  InquiryStatus = original.InquiryStatusFailed
	InquiryStatusInvalid InquiryStatus = original.InquiryStatusInvalid
	InquiryStatusSuccess InquiryStatus = original.InquiryStatusSuccess
)

type IntentItemType = original.IntentItemType

const (
	IntentItemTypeInvalid                       IntentItemType = original.IntentItemTypeInvalid
	IntentItemTypeSQLAvailabilityGroupContainer IntentItemType = original.IntentItemTypeSQLAvailabilityGroupContainer
	IntentItemTypeSQLInstance                   IntentItemType = original.IntentItemTypeSQLInstance
)

type ItemType = original.ItemType

const (
	ItemTypeAzureFileShare    ItemType = original.ItemTypeAzureFileShare
	ItemTypeAzureSQLDb        ItemType = original.ItemTypeAzureSQLDb
	ItemTypeClient            ItemType = original.ItemTypeClient
	ItemTypeExchange          ItemType = original.ItemTypeExchange
	ItemTypeFileFolder        ItemType = original.ItemTypeFileFolder
	ItemTypeGenericDataSource ItemType = original.ItemTypeGenericDataSource
	ItemTypeInvalid           ItemType = original.ItemTypeInvalid
	ItemTypeSAPAseDatabase    ItemType = original.ItemTypeSAPAseDatabase
	ItemTypeSAPHanaDatabase   ItemType = original.ItemTypeSAPHanaDatabase
	ItemTypeSharepoint        ItemType = original.ItemTypeSharepoint
	ItemTypeSQLDataBase       ItemType = original.ItemTypeSQLDataBase
	ItemTypeSQLDB             ItemType = original.ItemTypeSQLDB
	ItemTypeSystemState       ItemType = original.ItemTypeSystemState
	ItemTypeVM                ItemType = original.ItemTypeVM
	ItemTypeVMwareVM          ItemType = original.ItemTypeVMwareVM
)

type JobOperationType = original.JobOperationType

const (
	JobOperationTypeBackup                   JobOperationType = original.JobOperationTypeBackup
	JobOperationTypeConfigureBackup          JobOperationType = original.JobOperationTypeConfigureBackup
	JobOperationTypeCrossRegionRestore       JobOperationType = original.JobOperationTypeCrossRegionRestore
	JobOperationTypeDeleteBackupData         JobOperationType = original.JobOperationTypeDeleteBackupData
	JobOperationTypeDisableBackup            JobOperationType = original.JobOperationTypeDisableBackup
	JobOperationTypeInvalid                  JobOperationType = original.JobOperationTypeInvalid
	JobOperationTypeRegister                 JobOperationType = original.JobOperationTypeRegister
	JobOperationTypeRestore                  JobOperationType = original.JobOperationTypeRestore
	JobOperationTypeUndelete                 JobOperationType = original.JobOperationTypeUndelete
	JobOperationTypeUnRegister               JobOperationType = original.JobOperationTypeUnRegister
	JobOperationTypeUpdateCustomerManagedKey JobOperationType = original.JobOperationTypeUpdateCustomerManagedKey
)

type JobStatus = original.JobStatus

const (
	JobStatusCancelled             JobStatus = original.JobStatusCancelled
	JobStatusCancelling            JobStatus = original.JobStatusCancelling
	JobStatusCompleted             JobStatus = original.JobStatusCompleted
	JobStatusCompletedWithWarnings JobStatus = original.JobStatusCompletedWithWarnings
	JobStatusFailed                JobStatus = original.JobStatusFailed
	JobStatusInProgress            JobStatus = original.JobStatusInProgress
	JobStatusInvalid               JobStatus = original.JobStatusInvalid
)

type JobSupportedAction = original.JobSupportedAction

const (
	JobSupportedActionCancellable JobSupportedAction = original.JobSupportedActionCancellable
	JobSupportedActionInvalid     JobSupportedAction = original.JobSupportedActionInvalid
	JobSupportedActionRetriable   JobSupportedAction = original.JobSupportedActionRetriable
)

type JobType = original.JobType

const (
	JobTypeAzureIaaSVMJob   JobType = original.JobTypeAzureIaaSVMJob
	JobTypeAzureIaaSVMJobV2 JobType = original.JobTypeAzureIaaSVMJobV2
	JobTypeAzureStorageJob  JobType = original.JobTypeAzureStorageJob
	JobTypeAzureWorkloadJob JobType = original.JobTypeAzureWorkloadJob
	JobTypeDpmJob           JobType = original.JobTypeDpmJob
	JobTypeJob              JobType = original.JobTypeJob
	JobTypeMabJob           JobType = original.JobTypeMabJob
	JobTypeVaultJob         JobType = original.JobTypeVaultJob
)

type LastBackupStatus = original.LastBackupStatus

const (
	LastBackupStatusHealthy   LastBackupStatus = original.LastBackupStatusHealthy
	LastBackupStatusInvalid   LastBackupStatus = original.LastBackupStatusInvalid
	LastBackupStatusIRPending LastBackupStatus = original.LastBackupStatusIRPending
	LastBackupStatusUnhealthy LastBackupStatus = original.LastBackupStatusUnhealthy
)

type LastUpdateStatus = original.LastUpdateStatus

const (
	LastUpdateStatusFailed              LastUpdateStatus = original.LastUpdateStatusFailed
	LastUpdateStatusFirstInitialization LastUpdateStatus = original.LastUpdateStatusFirstInitialization
	LastUpdateStatusInitialized         LastUpdateStatus = original.LastUpdateStatusInitialized
	LastUpdateStatusInvalid             LastUpdateStatus = original.LastUpdateStatusInvalid
	LastUpdateStatusNotEnabled          LastUpdateStatus = original.LastUpdateStatusNotEnabled
	LastUpdateStatusPartiallyFailed     LastUpdateStatus = original.LastUpdateStatusPartiallyFailed
	LastUpdateStatusPartiallySucceeded  LastUpdateStatus = original.LastUpdateStatusPartiallySucceeded
	LastUpdateStatusSucceeded           LastUpdateStatus = original.LastUpdateStatusSucceeded
)

type MabServerType = original.MabServerType

const (
	MabServerTypeAzureBackupServerContainer MabServerType = original.MabServerTypeAzureBackupServerContainer
	MabServerTypeAzureSQLContainer          MabServerType = original.MabServerTypeAzureSQLContainer
	MabServerTypeCluster                    MabServerType = original.MabServerTypeCluster
	MabServerTypeDPMContainer               MabServerType = original.MabServerTypeDPMContainer
	MabServerTypeGenericContainer           MabServerType = original.MabServerTypeGenericContainer
	MabServerTypeIaasVMContainer            MabServerType = original.MabServerTypeIaasVMContainer
	MabServerTypeIaasVMServiceContainer     MabServerType = original.MabServerTypeIaasVMServiceContainer
	MabServerTypeInvalid                    MabServerType = original.MabServerTypeInvalid
	MabServerTypeMABContainer               MabServerType = original.MabServerTypeMABContainer
	MabServerTypeSQLAGWorkLoadContainer     MabServerType = original.MabServerTypeSQLAGWorkLoadContainer
	MabServerTypeStorageContainer           MabServerType = original.MabServerTypeStorageContainer
	MabServerTypeUnknown                    MabServerType = original.MabServerTypeUnknown
	MabServerTypeVCenter                    MabServerType = original.MabServerTypeVCenter
	MabServerTypeVMAppContainer             MabServerType = original.MabServerTypeVMAppContainer
	MabServerTypeWindows                    MabServerType = original.MabServerTypeWindows
)

type ManagementType = original.ManagementType

const (
	ManagementTypeAzureBackupServer ManagementType = original.ManagementTypeAzureBackupServer
	ManagementTypeAzureIaasVM       ManagementType = original.ManagementTypeAzureIaasVM
	ManagementTypeAzureSQL          ManagementType = original.ManagementTypeAzureSQL
	ManagementTypeAzureStorage      ManagementType = original.ManagementTypeAzureStorage
	ManagementTypeAzureWorkload     ManagementType = original.ManagementTypeAzureWorkload
	ManagementTypeDefaultBackup     ManagementType = original.ManagementTypeDefaultBackup
	ManagementTypeDPM               ManagementType = original.ManagementTypeDPM
	ManagementTypeInvalid           ManagementType = original.ManagementTypeInvalid
	ManagementTypeMAB               ManagementType = original.ManagementTypeMAB
)

type ManagementTypeBasicProtectionPolicy = original.ManagementTypeBasicProtectionPolicy

const (
	ManagementTypeBasicProtectionPolicyBackupManagementTypeAzureIaasVM             ManagementTypeBasicProtectionPolicy = original.ManagementTypeBasicProtectionPolicyBackupManagementTypeAzureIaasVM
	ManagementTypeBasicProtectionPolicyBackupManagementTypeAzureSQL                ManagementTypeBasicProtectionPolicy = original.ManagementTypeBasicProtectionPolicyBackupManagementTypeAzureSQL
	ManagementTypeBasicProtectionPolicyBackupManagementTypeAzureStorage            ManagementTypeBasicProtectionPolicy = original.ManagementTypeBasicProtectionPolicyBackupManagementTypeAzureStorage
	ManagementTypeBasicProtectionPolicyBackupManagementTypeAzureWorkload           ManagementTypeBasicProtectionPolicy = original.ManagementTypeBasicProtectionPolicyBackupManagementTypeAzureWorkload
	ManagementTypeBasicProtectionPolicyBackupManagementTypeGenericProtectionPolicy ManagementTypeBasicProtectionPolicy = original.ManagementTypeBasicProtectionPolicyBackupManagementTypeGenericProtectionPolicy
	ManagementTypeBasicProtectionPolicyBackupManagementTypeMAB                     ManagementTypeBasicProtectionPolicy = original.ManagementTypeBasicProtectionPolicyBackupManagementTypeMAB
	ManagementTypeBasicProtectionPolicyBackupManagementTypeProtectionPolicy        ManagementTypeBasicProtectionPolicy = original.ManagementTypeBasicProtectionPolicyBackupManagementTypeProtectionPolicy
)

type MonthOfYear = original.MonthOfYear

const (
	MonthOfYearApril     MonthOfYear = original.MonthOfYearApril
	MonthOfYearAugust    MonthOfYear = original.MonthOfYearAugust
	MonthOfYearDecember  MonthOfYear = original.MonthOfYearDecember
	MonthOfYearFebruary  MonthOfYear = original.MonthOfYearFebruary
	MonthOfYearInvalid   MonthOfYear = original.MonthOfYearInvalid
	MonthOfYearJanuary   MonthOfYear = original.MonthOfYearJanuary
	MonthOfYearJuly      MonthOfYear = original.MonthOfYearJuly
	MonthOfYearJune      MonthOfYear = original.MonthOfYearJune
	MonthOfYearMarch     MonthOfYear = original.MonthOfYearMarch
	MonthOfYearMay       MonthOfYear = original.MonthOfYearMay
	MonthOfYearNovember  MonthOfYear = original.MonthOfYearNovember
	MonthOfYearOctober   MonthOfYear = original.MonthOfYearOctober
	MonthOfYearSeptember MonthOfYear = original.MonthOfYearSeptember
)

type ObjectType = original.ObjectType

const (
	ObjectTypeExportJobsOperationResultInfo ObjectType = original.ObjectTypeExportJobsOperationResultInfo
	ObjectTypeOperationResultInfo           ObjectType = original.ObjectTypeOperationResultInfo
	ObjectTypeOperationResultInfoBase       ObjectType = original.ObjectTypeOperationResultInfoBase
)

type ObjectTypeBasicILRRequest = original.ObjectTypeBasicILRRequest

const (
	ObjectTypeBasicILRRequestObjectTypeAzureFileShareProvisionILRRequest ObjectTypeBasicILRRequest = original.ObjectTypeBasicILRRequestObjectTypeAzureFileShareProvisionILRRequest
	ObjectTypeBasicILRRequestObjectTypeIaasVMILRRegistrationRequest      ObjectTypeBasicILRRequest = original.ObjectTypeBasicILRRequestObjectTypeIaasVMILRRegistrationRequest
	ObjectTypeBasicILRRequestObjectTypeILRRequest                        ObjectTypeBasicILRRequest = original.ObjectTypeBasicILRRequestObjectTypeILRRequest
)

type ObjectTypeBasicOperationStatusExtendedInfo = original.ObjectTypeBasicOperationStatusExtendedInfo

const (
	ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusExtendedInfo                  ObjectTypeBasicOperationStatusExtendedInfo = original.ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusExtendedInfo
	ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusJobExtendedInfo               ObjectTypeBasicOperationStatusExtendedInfo = original.ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusJobExtendedInfo
	ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusJobsExtendedInfo              ObjectTypeBasicOperationStatusExtendedInfo = original.ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusJobsExtendedInfo
	ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusProvisionILRExtendedInfo      ObjectTypeBasicOperationStatusExtendedInfo = original.ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusProvisionILRExtendedInfo
	ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusValidateOperationExtendedInfo ObjectTypeBasicOperationStatusExtendedInfo = original.ObjectTypeBasicOperationStatusExtendedInfoObjectTypeOperationStatusValidateOperationExtendedInfo
)

type ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPoint

const (
	ObjectTypeBasicRecoveryPointObjectTypeAzureFileShareRecoveryPoint                  ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeAzureFileShareRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadPointInTimeRecoveryPoint        ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadPointInTimeRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadRecoveryPoint                   ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadSAPHanaPointInTimeRecoveryPoint ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadSAPHanaPointInTimeRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadSAPHanaRecoveryPoint            ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadSAPHanaRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadSQLPointInTimeRecoveryPoint     ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadSQLPointInTimeRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadSQLRecoveryPoint                ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeAzureWorkloadSQLRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeGenericRecoveryPoint                         ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeGenericRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeIaasVMRecoveryPoint                          ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeIaasVMRecoveryPoint
	ObjectTypeBasicRecoveryPointObjectTypeRecoveryPoint                                ObjectTypeBasicRecoveryPoint = original.ObjectTypeBasicRecoveryPointObjectTypeRecoveryPoint
)

type ObjectTypeBasicRequest = original.ObjectTypeBasicRequest

const (
	ObjectTypeBasicRequestObjectTypeAzureFileShareBackupRequest ObjectTypeBasicRequest = original.ObjectTypeBasicRequestObjectTypeAzureFileShareBackupRequest
	ObjectTypeBasicRequestObjectTypeAzureWorkloadBackupRequest  ObjectTypeBasicRequest = original.ObjectTypeBasicRequestObjectTypeAzureWorkloadBackupRequest
	ObjectTypeBasicRequestObjectTypeBackupRequest               ObjectTypeBasicRequest = original.ObjectTypeBasicRequestObjectTypeBackupRequest
	ObjectTypeBasicRequestObjectTypeIaasVMBackupRequest         ObjectTypeBasicRequest = original.ObjectTypeBasicRequestObjectTypeIaasVMBackupRequest
)

type ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequest

const (
	ObjectTypeBasicRestoreRequestObjectTypeAzureFileShareRestoreRequest                               ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureFileShareRestoreRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadPointInTimeRestoreRequest                     ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadPointInTimeRestoreRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadRestoreRequest                                ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadRestoreRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSAPHanaPointInTimeRestoreRequest              ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSAPHanaPointInTimeRestoreRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSAPHanaPointInTimeRestoreWithRehydrateRequest ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSAPHanaPointInTimeRestoreWithRehydrateRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSAPHanaRestoreRequest                         ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSAPHanaRestoreRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSAPHanaRestoreWithRehydrateRequest            ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSAPHanaRestoreWithRehydrateRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSQLPointInTimeRestoreRequest                  ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSQLPointInTimeRestoreRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSQLPointInTimeRestoreWithRehydrateRequest     ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSQLPointInTimeRestoreWithRehydrateRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSQLRestoreRequest                             ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSQLRestoreRequest
	ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSQLRestoreWithRehydrateRequest                ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeAzureWorkloadSQLRestoreWithRehydrateRequest
	ObjectTypeBasicRestoreRequestObjectTypeIaasVMRestoreRequest                                       ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeIaasVMRestoreRequest
	ObjectTypeBasicRestoreRequestObjectTypeIaasVMRestoreWithRehydrationRequest                        ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeIaasVMRestoreWithRehydrationRequest
	ObjectTypeBasicRestoreRequestObjectTypeRestoreRequest                                             ObjectTypeBasicRestoreRequest = original.ObjectTypeBasicRestoreRequestObjectTypeRestoreRequest
)

type ObjectTypeBasicValidateOperationRequest = original.ObjectTypeBasicValidateOperationRequest

const (
	ObjectTypeBasicValidateOperationRequestObjectTypeValidateIaasVMRestoreOperationRequest ObjectTypeBasicValidateOperationRequest = original.ObjectTypeBasicValidateOperationRequestObjectTypeValidateIaasVMRestoreOperationRequest
	ObjectTypeBasicValidateOperationRequestObjectTypeValidateOperationRequest              ObjectTypeBasicValidateOperationRequest = original.ObjectTypeBasicValidateOperationRequestObjectTypeValidateOperationRequest
	ObjectTypeBasicValidateOperationRequestObjectTypeValidateRestoreOperationRequest       ObjectTypeBasicValidateOperationRequest = original.ObjectTypeBasicValidateOperationRequestObjectTypeValidateRestoreOperationRequest
)

type ObjectTypeBasicVaultStorageConfigOperationResultResponse = original.ObjectTypeBasicVaultStorageConfigOperationResultResponse

const (
	ObjectTypeBasicVaultStorageConfigOperationResultResponseObjectTypePrepareDataMoveResponse                   ObjectTypeBasicVaultStorageConfigOperationResultResponse = original.ObjectTypeBasicVaultStorageConfigOperationResultResponseObjectTypePrepareDataMoveResponse
	ObjectTypeBasicVaultStorageConfigOperationResultResponseObjectTypeVaultStorageConfigOperationResultResponse ObjectTypeBasicVaultStorageConfigOperationResultResponse = original.ObjectTypeBasicVaultStorageConfigOperationResultResponseObjectTypeVaultStorageConfigOperationResultResponse
)

type OperationStatusValues = original.OperationStatusValues

const (
	OperationStatusValuesCanceled   OperationStatusValues = original.OperationStatusValuesCanceled
	OperationStatusValuesFailed     OperationStatusValues = original.OperationStatusValuesFailed
	OperationStatusValuesInProgress OperationStatusValues = original.OperationStatusValuesInProgress
	OperationStatusValuesInvalid    OperationStatusValues = original.OperationStatusValuesInvalid
	OperationStatusValuesSucceeded  OperationStatusValues = original.OperationStatusValuesSucceeded
)

type OperationType = original.OperationType

const (
	OperationTypeInvalid    OperationType = original.OperationTypeInvalid
	OperationTypeRegister   OperationType = original.OperationTypeRegister
	OperationTypeReregister OperationType = original.OperationTypeReregister
)

type OverwriteOptions = original.OverwriteOptions

const (
	OverwriteOptionsFailOnConflict OverwriteOptions = original.OverwriteOptionsFailOnConflict
	OverwriteOptionsInvalid        OverwriteOptions = original.OverwriteOptionsInvalid
	OverwriteOptionsOverwrite      OverwriteOptions = original.OverwriteOptionsOverwrite
)

type PolicyType = original.PolicyType

const (
	PolicyTypeCopyOnlyFull PolicyType = original.PolicyTypeCopyOnlyFull
	PolicyTypeDifferential PolicyType = original.PolicyTypeDifferential
	PolicyTypeFull         PolicyType = original.PolicyTypeFull
	PolicyTypeIncremental  PolicyType = original.PolicyTypeIncremental
	PolicyTypeInvalid      PolicyType = original.PolicyTypeInvalid
	PolicyTypeLog          PolicyType = original.PolicyTypeLog
)

type PrivateEndpointConnectionStatus = original.PrivateEndpointConnectionStatus

const (
	PrivateEndpointConnectionStatusApproved     PrivateEndpointConnectionStatus = original.PrivateEndpointConnectionStatusApproved
	PrivateEndpointConnectionStatusDisconnected PrivateEndpointConnectionStatus = original.PrivateEndpointConnectionStatusDisconnected
	PrivateEndpointConnectionStatusPending      PrivateEndpointConnectionStatus = original.PrivateEndpointConnectionStatusPending
	PrivateEndpointConnectionStatusRejected     PrivateEndpointConnectionStatus = original.PrivateEndpointConnectionStatusRejected
)

type ProtectableContainerType = original.ProtectableContainerType

const (
	ProtectableContainerTypeProtectableContainer ProtectableContainerType = original.ProtectableContainerTypeProtectableContainer
	ProtectableContainerTypeStorageContainer     ProtectableContainerType = original.ProtectableContainerTypeStorageContainer
	ProtectableContainerTypeVMAppContainer       ProtectableContainerType = original.ProtectableContainerTypeVMAppContainer
)

type ProtectableItemType = original.ProtectableItemType

const (
	ProtectableItemTypeAzureFileShare                         ProtectableItemType = original.ProtectableItemTypeAzureFileShare
	ProtectableItemTypeAzureVMWorkloadProtectableItem         ProtectableItemType = original.ProtectableItemTypeAzureVMWorkloadProtectableItem
	ProtectableItemTypeIaaSVMProtectableItem                  ProtectableItemType = original.ProtectableItemTypeIaaSVMProtectableItem
	ProtectableItemTypeMicrosoftClassicComputevirtualMachines ProtectableItemType = original.ProtectableItemTypeMicrosoftClassicComputevirtualMachines
	ProtectableItemTypeMicrosoftComputevirtualMachines        ProtectableItemType = original.ProtectableItemTypeMicrosoftComputevirtualMachines
	ProtectableItemTypeSAPAseSystem                           ProtectableItemType = original.ProtectableItemTypeSAPAseSystem
	ProtectableItemTypeSAPHanaDatabase                        ProtectableItemType = original.ProtectableItemTypeSAPHanaDatabase
	ProtectableItemTypeSAPHanaSystem                          ProtectableItemType = original.ProtectableItemTypeSAPHanaSystem
	ProtectableItemTypeSQLAvailabilityGroupContainer          ProtectableItemType = original.ProtectableItemTypeSQLAvailabilityGroupContainer
	ProtectableItemTypeSQLDataBase                            ProtectableItemType = original.ProtectableItemTypeSQLDataBase
	ProtectableItemTypeSQLInstance                            ProtectableItemType = original.ProtectableItemTypeSQLInstance
	ProtectableItemTypeWorkloadProtectableItem                ProtectableItemType = original.ProtectableItemTypeWorkloadProtectableItem
)

type ProtectedItemHealthStatus = original.ProtectedItemHealthStatus

const (
	ProtectedItemHealthStatusHealthy      ProtectedItemHealthStatus = original.ProtectedItemHealthStatusHealthy
	ProtectedItemHealthStatusInvalid      ProtectedItemHealthStatus = original.ProtectedItemHealthStatusInvalid
	ProtectedItemHealthStatusIRPending    ProtectedItemHealthStatus = original.ProtectedItemHealthStatusIRPending
	ProtectedItemHealthStatusNotReachable ProtectedItemHealthStatus = original.ProtectedItemHealthStatusNotReachable
	ProtectedItemHealthStatusUnhealthy    ProtectedItemHealthStatus = original.ProtectedItemHealthStatusUnhealthy
)

type ProtectedItemState = original.ProtectedItemState

const (
	ProtectedItemStateInvalid           ProtectedItemState = original.ProtectedItemStateInvalid
	ProtectedItemStateIRPending         ProtectedItemState = original.ProtectedItemStateIRPending
	ProtectedItemStateProtected         ProtectedItemState = original.ProtectedItemStateProtected
	ProtectedItemStateProtectionError   ProtectedItemState = original.ProtectedItemStateProtectionError
	ProtectedItemStateProtectionPaused  ProtectedItemState = original.ProtectedItemStateProtectionPaused
	ProtectedItemStateProtectionStopped ProtectedItemState = original.ProtectedItemStateProtectionStopped
)

type ProtectedItemType = original.ProtectedItemType

const (
	ProtectedItemTypeAzureFileShareProtectedItem            ProtectedItemType = original.ProtectedItemTypeAzureFileShareProtectedItem
	ProtectedItemTypeAzureIaaSVMProtectedItem               ProtectedItemType = original.ProtectedItemTypeAzureIaaSVMProtectedItem
	ProtectedItemTypeAzureVMWorkloadProtectedItem           ProtectedItemType = original.ProtectedItemTypeAzureVMWorkloadProtectedItem
	ProtectedItemTypeAzureVMWorkloadSAPAseDatabase          ProtectedItemType = original.ProtectedItemTypeAzureVMWorkloadSAPAseDatabase
	ProtectedItemTypeAzureVMWorkloadSAPHanaDatabase         ProtectedItemType = original.ProtectedItemTypeAzureVMWorkloadSAPHanaDatabase
	ProtectedItemTypeAzureVMWorkloadSQLDatabase             ProtectedItemType = original.ProtectedItemTypeAzureVMWorkloadSQLDatabase
	ProtectedItemTypeDPMProtectedItem                       ProtectedItemType = original.ProtectedItemTypeDPMProtectedItem
	ProtectedItemTypeGenericProtectedItem                   ProtectedItemType = original.ProtectedItemTypeGenericProtectedItem
	ProtectedItemTypeMabFileFolderProtectedItem             ProtectedItemType = original.ProtectedItemTypeMabFileFolderProtectedItem
	ProtectedItemTypeMicrosoftClassicComputevirtualMachines ProtectedItemType = original.ProtectedItemTypeMicrosoftClassicComputevirtualMachines
	ProtectedItemTypeMicrosoftComputevirtualMachines        ProtectedItemType = original.ProtectedItemTypeMicrosoftComputevirtualMachines
	ProtectedItemTypeMicrosoftSqlserversdatabases           ProtectedItemType = original.ProtectedItemTypeMicrosoftSqlserversdatabases
	ProtectedItemTypeProtectedItem                          ProtectedItemType = original.ProtectedItemTypeProtectedItem
)

type ProtectionIntentItemType = original.ProtectionIntentItemType

const (
	ProtectionIntentItemTypeAzureResourceItem                          ProtectionIntentItemType = original.ProtectionIntentItemTypeAzureResourceItem
	ProtectionIntentItemTypeAzureWorkloadAutoProtectionIntent          ProtectionIntentItemType = original.ProtectionIntentItemTypeAzureWorkloadAutoProtectionIntent
	ProtectionIntentItemTypeAzureWorkloadContainerAutoProtectionIntent ProtectionIntentItemType = original.ProtectionIntentItemTypeAzureWorkloadContainerAutoProtectionIntent
	ProtectionIntentItemTypeAzureWorkloadSQLAutoProtectionIntent       ProtectionIntentItemType = original.ProtectionIntentItemTypeAzureWorkloadSQLAutoProtectionIntent
	ProtectionIntentItemTypeProtectionIntent                           ProtectionIntentItemType = original.ProtectionIntentItemTypeProtectionIntent
	ProtectionIntentItemTypeRecoveryServiceVaultItem                   ProtectionIntentItemType = original.ProtectionIntentItemTypeRecoveryServiceVaultItem
)

type ProtectionState = original.ProtectionState

const (
	ProtectionStateInvalid           ProtectionState = original.ProtectionStateInvalid
	ProtectionStateIRPending         ProtectionState = original.ProtectionStateIRPending
	ProtectionStateProtected         ProtectionState = original.ProtectionStateProtected
	ProtectionStateProtectionError   ProtectionState = original.ProtectionStateProtectionError
	ProtectionStateProtectionPaused  ProtectionState = original.ProtectionStateProtectionPaused
	ProtectionStateProtectionStopped ProtectionState = original.ProtectionStateProtectionStopped
)

type ProtectionStatus = original.ProtectionStatus

const (
	ProtectionStatusInvalid          ProtectionStatus = original.ProtectionStatusInvalid
	ProtectionStatusNotProtected     ProtectionStatus = original.ProtectionStatusNotProtected
	ProtectionStatusProtected        ProtectionStatus = original.ProtectionStatusProtected
	ProtectionStatusProtecting       ProtectionStatus = original.ProtectionStatusProtecting
	ProtectionStatusProtectionFailed ProtectionStatus = original.ProtectionStatusProtectionFailed
)

type ProvisioningState = original.ProvisioningState

const (
	ProvisioningStateDeleting  ProvisioningState = original.ProvisioningStateDeleting
	ProvisioningStateFailed    ProvisioningState = original.ProvisioningStateFailed
	ProvisioningStatePending   ProvisioningState = original.ProvisioningStatePending
	ProvisioningStateSucceeded ProvisioningState = original.ProvisioningStateSucceeded
)

type RecoveryMode = original.RecoveryMode

const (
	RecoveryModeFileRecovery     RecoveryMode = original.RecoveryModeFileRecovery
	RecoveryModeInvalid          RecoveryMode = original.RecoveryModeInvalid
	RecoveryModeWorkloadRecovery RecoveryMode = original.RecoveryModeWorkloadRecovery
)

type RecoveryPointTierStatus = original.RecoveryPointTierStatus

const (
	RecoveryPointTierStatusDeleted    RecoveryPointTierStatus = original.RecoveryPointTierStatusDeleted
	RecoveryPointTierStatusDisabled   RecoveryPointTierStatus = original.RecoveryPointTierStatusDisabled
	RecoveryPointTierStatusInvalid    RecoveryPointTierStatus = original.RecoveryPointTierStatusInvalid
	RecoveryPointTierStatusRehydrated RecoveryPointTierStatus = original.RecoveryPointTierStatusRehydrated
	RecoveryPointTierStatusValid      RecoveryPointTierStatus = original.RecoveryPointTierStatusValid
)

type RecoveryPointTierType = original.RecoveryPointTierType

const (
	RecoveryPointTierTypeArchivedRP RecoveryPointTierType = original.RecoveryPointTierTypeArchivedRP
	RecoveryPointTierTypeHardenedRP RecoveryPointTierType = original.RecoveryPointTierTypeHardenedRP
	RecoveryPointTierTypeInstantRP  RecoveryPointTierType = original.RecoveryPointTierTypeInstantRP
	RecoveryPointTierTypeInvalid    RecoveryPointTierType = original.RecoveryPointTierTypeInvalid
)

type RecoveryType = original.RecoveryType

const (
	RecoveryTypeAlternateLocation RecoveryType = original.RecoveryTypeAlternateLocation
	RecoveryTypeInvalid           RecoveryType = original.RecoveryTypeInvalid
	RecoveryTypeOffline           RecoveryType = original.RecoveryTypeOffline
	RecoveryTypeOriginalLocation  RecoveryType = original.RecoveryTypeOriginalLocation
	RecoveryTypeRestoreDisks      RecoveryType = original.RecoveryTypeRestoreDisks
)

type RehydrationPriority = original.RehydrationPriority

const (
	RehydrationPriorityHigh     RehydrationPriority = original.RehydrationPriorityHigh
	RehydrationPriorityStandard RehydrationPriority = original.RehydrationPriorityStandard
)

type ResourceHealthStatus = original.ResourceHealthStatus

const (
	ResourceHealthStatusHealthy             ResourceHealthStatus = original.ResourceHealthStatusHealthy
	ResourceHealthStatusInvalid             ResourceHealthStatus = original.ResourceHealthStatusInvalid
	ResourceHealthStatusPersistentDegraded  ResourceHealthStatus = original.ResourceHealthStatusPersistentDegraded
	ResourceHealthStatusPersistentUnhealthy ResourceHealthStatus = original.ResourceHealthStatusPersistentUnhealthy
	ResourceHealthStatusTransientDegraded   ResourceHealthStatus = original.ResourceHealthStatusTransientDegraded
	ResourceHealthStatusTransientUnhealthy  ResourceHealthStatus = original.ResourceHealthStatusTransientUnhealthy
)

type RestorePointQueryType = original.RestorePointQueryType

const (
	RestorePointQueryTypeAll                 RestorePointQueryType = original.RestorePointQueryTypeAll
	RestorePointQueryTypeDifferential        RestorePointQueryType = original.RestorePointQueryTypeDifferential
	RestorePointQueryTypeFull                RestorePointQueryType = original.RestorePointQueryTypeFull
	RestorePointQueryTypeFullAndDifferential RestorePointQueryType = original.RestorePointQueryTypeFullAndDifferential
	RestorePointQueryTypeIncremental         RestorePointQueryType = original.RestorePointQueryTypeIncremental
	RestorePointQueryTypeInvalid             RestorePointQueryType = original.RestorePointQueryTypeInvalid
	RestorePointQueryTypeLog                 RestorePointQueryType = original.RestorePointQueryTypeLog
)

type RestorePointType = original.RestorePointType

const (
	RestorePointTypeDifferential RestorePointType = original.RestorePointTypeDifferential
	RestorePointTypeFull         RestorePointType = original.RestorePointTypeFull
	RestorePointTypeIncremental  RestorePointType = original.RestorePointTypeIncremental
	RestorePointTypeInvalid      RestorePointType = original.RestorePointTypeInvalid
	RestorePointTypeLog          RestorePointType = original.RestorePointTypeLog
)

type RestoreRequestType = original.RestoreRequestType

const (
	RestoreRequestTypeFullShareRestore RestoreRequestType = original.RestoreRequestTypeFullShareRestore
	RestoreRequestTypeInvalid          RestoreRequestType = original.RestoreRequestTypeInvalid
	RestoreRequestTypeItemLevelRestore RestoreRequestType = original.RestoreRequestTypeItemLevelRestore
)

type RetentionDurationType = original.RetentionDurationType

const (
	RetentionDurationTypeDays    RetentionDurationType = original.RetentionDurationTypeDays
	RetentionDurationTypeInvalid RetentionDurationType = original.RetentionDurationTypeInvalid
	RetentionDurationTypeMonths  RetentionDurationType = original.RetentionDurationTypeMonths
	RetentionDurationTypeWeeks   RetentionDurationType = original.RetentionDurationTypeWeeks
	RetentionDurationTypeYears   RetentionDurationType = original.RetentionDurationTypeYears
)

type RetentionPolicyType = original.RetentionPolicyType

const (
	RetentionPolicyTypeLongTermRetentionPolicy RetentionPolicyType = original.RetentionPolicyTypeLongTermRetentionPolicy
	RetentionPolicyTypeRetentionPolicy         RetentionPolicyType = original.RetentionPolicyTypeRetentionPolicy
	RetentionPolicyTypeSimpleRetentionPolicy   RetentionPolicyType = original.RetentionPolicyTypeSimpleRetentionPolicy
)

type RetentionScheduleFormat = original.RetentionScheduleFormat

const (
	RetentionScheduleFormatDaily   RetentionScheduleFormat = original.RetentionScheduleFormatDaily
	RetentionScheduleFormatInvalid RetentionScheduleFormat = original.RetentionScheduleFormatInvalid
	RetentionScheduleFormatWeekly  RetentionScheduleFormat = original.RetentionScheduleFormatWeekly
)

type SQLDataDirectoryType = original.SQLDataDirectoryType

const (
	SQLDataDirectoryTypeData    SQLDataDirectoryType = original.SQLDataDirectoryTypeData
	SQLDataDirectoryTypeInvalid SQLDataDirectoryType = original.SQLDataDirectoryTypeInvalid
	SQLDataDirectoryTypeLog     SQLDataDirectoryType = original.SQLDataDirectoryTypeLog
)

type SchedulePolicyType = original.SchedulePolicyType

const (
	SchedulePolicyTypeLogSchedulePolicy      SchedulePolicyType = original.SchedulePolicyTypeLogSchedulePolicy
	SchedulePolicyTypeLongTermSchedulePolicy SchedulePolicyType = original.SchedulePolicyTypeLongTermSchedulePolicy
	SchedulePolicyTypeSchedulePolicy         SchedulePolicyType = original.SchedulePolicyTypeSchedulePolicy
	SchedulePolicyTypeSimpleSchedulePolicy   SchedulePolicyType = original.SchedulePolicyTypeSimpleSchedulePolicy
	SchedulePolicyTypeSimpleSchedulePolicyV2 SchedulePolicyType = original.SchedulePolicyTypeSimpleSchedulePolicyV2
)

type ScheduleRunType = original.ScheduleRunType

const (
	ScheduleRunTypeDaily   ScheduleRunType = original.ScheduleRunTypeDaily
	ScheduleRunTypeHourly  ScheduleRunType = original.ScheduleRunTypeHourly
	ScheduleRunTypeInvalid ScheduleRunType = original.ScheduleRunTypeInvalid
	ScheduleRunTypeWeekly  ScheduleRunType = original.ScheduleRunTypeWeekly
)

type SoftDeleteFeatureState = original.SoftDeleteFeatureState

const (
	SoftDeleteFeatureStateDisabled SoftDeleteFeatureState = original.SoftDeleteFeatureStateDisabled
	SoftDeleteFeatureStateEnabled  SoftDeleteFeatureState = original.SoftDeleteFeatureStateEnabled
	SoftDeleteFeatureStateInvalid  SoftDeleteFeatureState = original.SoftDeleteFeatureStateInvalid
)

type StorageType = original.StorageType

const (
	StorageTypeGeoRedundant               StorageType = original.StorageTypeGeoRedundant
	StorageTypeInvalid                    StorageType = original.StorageTypeInvalid
	StorageTypeLocallyRedundant           StorageType = original.StorageTypeLocallyRedundant
	StorageTypeReadAccessGeoZoneRedundant StorageType = original.StorageTypeReadAccessGeoZoneRedundant
	StorageTypeZoneRedundant              StorageType = original.StorageTypeZoneRedundant
)

type StorageTypeState = original.StorageTypeState

const (
	StorageTypeStateInvalid  StorageTypeState = original.StorageTypeStateInvalid
	StorageTypeStateLocked   StorageTypeState = original.StorageTypeStateLocked
	StorageTypeStateUnlocked StorageTypeState = original.StorageTypeStateUnlocked
)

type SupportStatus = original.SupportStatus

const (
	SupportStatusDefaultOFF   SupportStatus = original.SupportStatusDefaultOFF
	SupportStatusDefaultON    SupportStatus = original.SupportStatusDefaultON
	SupportStatusInvalid      SupportStatus = original.SupportStatusInvalid
	SupportStatusNotSupported SupportStatus = original.SupportStatusNotSupported
	SupportStatusSupported    SupportStatus = original.SupportStatusSupported
)

type Type = original.Type

const (
	TypeBackupProtectedItemCountSummary       Type = original.TypeBackupProtectedItemCountSummary
	TypeBackupProtectionContainerCountSummary Type = original.TypeBackupProtectionContainerCountSummary
	TypeInvalid                               Type = original.TypeInvalid
)

type TypeEnum = original.TypeEnum

const (
	TypeEnumCopyOnlyFull TypeEnum = original.TypeEnumCopyOnlyFull
	TypeEnumDifferential TypeEnum = original.TypeEnumDifferential
	TypeEnumFull         TypeEnum = original.TypeEnumFull
	TypeEnumIncremental  TypeEnum = original.TypeEnumIncremental
	TypeEnumInvalid      TypeEnum = original.TypeEnumInvalid
	TypeEnumLog          TypeEnum = original.TypeEnumLog
)

type UsagesUnit = original.UsagesUnit

const (
	UsagesUnitBytes          UsagesUnit = original.UsagesUnitBytes
	UsagesUnitBytesPerSecond UsagesUnit = original.UsagesUnitBytesPerSecond
	UsagesUnitCount          UsagesUnit = original.UsagesUnitCount
	UsagesUnitCountPerSecond UsagesUnit = original.UsagesUnitCountPerSecond
	UsagesUnitPercent        UsagesUnit = original.UsagesUnitPercent
	UsagesUnitSeconds        UsagesUnit = original.UsagesUnitSeconds
)

type ValidationStatus = original.ValidationStatus

const (
	ValidationStatusFailed    ValidationStatus = original.ValidationStatusFailed
	ValidationStatusInvalid   ValidationStatus = original.ValidationStatusInvalid
	ValidationStatusSucceeded ValidationStatus = original.ValidationStatusSucceeded
)

type WeekOfMonth = original.WeekOfMonth

const (
	WeekOfMonthFirst   WeekOfMonth = original.WeekOfMonthFirst
	WeekOfMonthFourth  WeekOfMonth = original.WeekOfMonthFourth
	WeekOfMonthInvalid WeekOfMonth = original.WeekOfMonthInvalid
	WeekOfMonthLast    WeekOfMonth = original.WeekOfMonthLast
	WeekOfMonthSecond  WeekOfMonth = original.WeekOfMonthSecond
	WeekOfMonthThird   WeekOfMonth = original.WeekOfMonthThird
)

type WorkloadItemType = original.WorkloadItemType

const (
	WorkloadItemTypeInvalid         WorkloadItemType = original.WorkloadItemTypeInvalid
	WorkloadItemTypeSAPAseDatabase  WorkloadItemType = original.WorkloadItemTypeSAPAseDatabase
	WorkloadItemTypeSAPAseSystem    WorkloadItemType = original.WorkloadItemTypeSAPAseSystem
	WorkloadItemTypeSAPHanaDatabase WorkloadItemType = original.WorkloadItemTypeSAPHanaDatabase
	WorkloadItemTypeSAPHanaSystem   WorkloadItemType = original.WorkloadItemTypeSAPHanaSystem
	WorkloadItemTypeSQLDataBase     WorkloadItemType = original.WorkloadItemTypeSQLDataBase
	WorkloadItemTypeSQLInstance     WorkloadItemType = original.WorkloadItemTypeSQLInstance
)

type WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItem

const (
	WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeAzureVMWorkloadItem WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeAzureVMWorkloadItem
	WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSAPAseDatabase      WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSAPAseDatabase
	WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSAPAseSystem        WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSAPAseSystem
	WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSAPHanaDatabase     WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSAPHanaDatabase
	WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSAPHanaSystem       WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSAPHanaSystem
	WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSQLDataBase         WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSQLDataBase
	WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSQLInstance         WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeSQLInstance
	WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeWorkloadItem        WorkloadItemTypeBasicWorkloadItem = original.WorkloadItemTypeBasicWorkloadItemWorkloadItemTypeWorkloadItem
)

type WorkloadType = original.WorkloadType

const (
	WorkloadTypeAzureFileShare    WorkloadType = original.WorkloadTypeAzureFileShare
	WorkloadTypeAzureSQLDb        WorkloadType = original.WorkloadTypeAzureSQLDb
	WorkloadTypeClient            WorkloadType = original.WorkloadTypeClient
	WorkloadTypeExchange          WorkloadType = original.WorkloadTypeExchange
	WorkloadTypeFileFolder        WorkloadType = original.WorkloadTypeFileFolder
	WorkloadTypeGenericDataSource WorkloadType = original.WorkloadTypeGenericDataSource
	WorkloadTypeInvalid           WorkloadType = original.WorkloadTypeInvalid
	WorkloadTypeSAPAseDatabase    WorkloadType = original.WorkloadTypeSAPAseDatabase
	WorkloadTypeSAPHanaDatabase   WorkloadType = original.WorkloadTypeSAPHanaDatabase
	WorkloadTypeSharepoint        WorkloadType = original.WorkloadTypeSharepoint
	WorkloadTypeSQLDataBase       WorkloadType = original.WorkloadTypeSQLDataBase
	WorkloadTypeSQLDB             WorkloadType = original.WorkloadTypeSQLDB
	WorkloadTypeSystemState       WorkloadType = original.WorkloadTypeSystemState
	WorkloadTypeVM                WorkloadType = original.WorkloadTypeVM
	WorkloadTypeVMwareVM          WorkloadType = original.WorkloadTypeVMwareVM
)

type XcoolState = original.XcoolState

const (
	XcoolStateDisabled XcoolState = original.XcoolStateDisabled
	XcoolStateEnabled  XcoolState = original.XcoolStateEnabled
	XcoolStateInvalid  XcoolState = original.XcoolStateInvalid
)

type AzureBackupGoalFeatureSupportRequest = original.AzureBackupGoalFeatureSupportRequest
type AzureBackupServerContainer = original.AzureBackupServerContainer
type AzureBackupServerEngine = original.AzureBackupServerEngine
type AzureFileShareBackupRequest = original.AzureFileShareBackupRequest
type AzureFileShareProtectableItem = original.AzureFileShareProtectableItem
type AzureFileShareProtectionPolicy = original.AzureFileShareProtectionPolicy
type AzureFileShareProvisionILRRequest = original.AzureFileShareProvisionILRRequest
type AzureFileShareRecoveryPoint = original.AzureFileShareRecoveryPoint
type AzureFileShareRestoreRequest = original.AzureFileShareRestoreRequest
type AzureFileshareProtectedItem = original.AzureFileshareProtectedItem
type AzureFileshareProtectedItemExtendedInfo = original.AzureFileshareProtectedItemExtendedInfo
type AzureIaaSClassicComputeVMContainer = original.AzureIaaSClassicComputeVMContainer
type AzureIaaSClassicComputeVMProtectableItem = original.AzureIaaSClassicComputeVMProtectableItem
type AzureIaaSClassicComputeVMProtectedItem = original.AzureIaaSClassicComputeVMProtectedItem
type AzureIaaSComputeVMContainer = original.AzureIaaSComputeVMContainer
type AzureIaaSComputeVMProtectableItem = original.AzureIaaSComputeVMProtectableItem
type AzureIaaSComputeVMProtectedItem = original.AzureIaaSComputeVMProtectedItem
type AzureIaaSVMErrorInfo = original.AzureIaaSVMErrorInfo
type AzureIaaSVMHealthDetails = original.AzureIaaSVMHealthDetails
type AzureIaaSVMJob = original.AzureIaaSVMJob
type AzureIaaSVMJobExtendedInfo = original.AzureIaaSVMJobExtendedInfo
type AzureIaaSVMJobTaskDetails = original.AzureIaaSVMJobTaskDetails
type AzureIaaSVMJobV2 = original.AzureIaaSVMJobV2
type AzureIaaSVMProtectedItem = original.AzureIaaSVMProtectedItem
type AzureIaaSVMProtectedItemExtendedInfo = original.AzureIaaSVMProtectedItemExtendedInfo
type AzureIaaSVMProtectionPolicy = original.AzureIaaSVMProtectionPolicy
type AzureRecoveryServiceVaultProtectionIntent = original.AzureRecoveryServiceVaultProtectionIntent
type AzureResourceProtectionIntent = original.AzureResourceProtectionIntent
type AzureSQLAGWorkloadContainerProtectionContainer = original.AzureSQLAGWorkloadContainerProtectionContainer
type AzureSQLContainer = original.AzureSQLContainer
type AzureSQLProtectedItem = original.AzureSQLProtectedItem
type AzureSQLProtectedItemExtendedInfo = original.AzureSQLProtectedItemExtendedInfo
type AzureSQLProtectionPolicy = original.AzureSQLProtectionPolicy
type AzureStorageContainer = original.AzureStorageContainer
type AzureStorageErrorInfo = original.AzureStorageErrorInfo
type AzureStorageJob = original.AzureStorageJob
type AzureStorageJobExtendedInfo = original.AzureStorageJobExtendedInfo
type AzureStorageJobTaskDetails = original.AzureStorageJobTaskDetails
type AzureStorageProtectableContainer = original.AzureStorageProtectableContainer
type AzureVMAppContainerProtectableContainer = original.AzureVMAppContainerProtectableContainer
type AzureVMAppContainerProtectionContainer = original.AzureVMAppContainerProtectionContainer
type AzureVMResourceFeatureSupportRequest = original.AzureVMResourceFeatureSupportRequest
type AzureVMResourceFeatureSupportResponse = original.AzureVMResourceFeatureSupportResponse
type AzureVMWorkloadItem = original.AzureVMWorkloadItem
type AzureVMWorkloadProtectableItem = original.AzureVMWorkloadProtectableItem
type AzureVMWorkloadProtectedItem = original.AzureVMWorkloadProtectedItem
type AzureVMWorkloadProtectedItemExtendedInfo = original.AzureVMWorkloadProtectedItemExtendedInfo
type AzureVMWorkloadProtectionPolicy = original.AzureVMWorkloadProtectionPolicy
type AzureVMWorkloadSAPAseDatabaseProtectedItem = original.AzureVMWorkloadSAPAseDatabaseProtectedItem
type AzureVMWorkloadSAPAseDatabaseWorkloadItem = original.AzureVMWorkloadSAPAseDatabaseWorkloadItem
type AzureVMWorkloadSAPAseSystemProtectableItem = original.AzureVMWorkloadSAPAseSystemProtectableItem
type AzureVMWorkloadSAPAseSystemWorkloadItem = original.AzureVMWorkloadSAPAseSystemWorkloadItem
type AzureVMWorkloadSAPHanaDatabaseProtectableItem = original.AzureVMWorkloadSAPHanaDatabaseProtectableItem
type AzureVMWorkloadSAPHanaDatabaseProtectedItem = original.AzureVMWorkloadSAPHanaDatabaseProtectedItem
type AzureVMWorkloadSAPHanaDatabaseWorkloadItem = original.AzureVMWorkloadSAPHanaDatabaseWorkloadItem
type AzureVMWorkloadSAPHanaSystemProtectableItem = original.AzureVMWorkloadSAPHanaSystemProtectableItem
type AzureVMWorkloadSAPHanaSystemWorkloadItem = original.AzureVMWorkloadSAPHanaSystemWorkloadItem
type AzureVMWorkloadSQLAvailabilityGroupProtectableItem = original.AzureVMWorkloadSQLAvailabilityGroupProtectableItem
type AzureVMWorkloadSQLDatabaseProtectableItem = original.AzureVMWorkloadSQLDatabaseProtectableItem
type AzureVMWorkloadSQLDatabaseProtectedItem = original.AzureVMWorkloadSQLDatabaseProtectedItem
type AzureVMWorkloadSQLDatabaseWorkloadItem = original.AzureVMWorkloadSQLDatabaseWorkloadItem
type AzureVMWorkloadSQLInstanceProtectableItem = original.AzureVMWorkloadSQLInstanceProtectableItem
type AzureVMWorkloadSQLInstanceWorkloadItem = original.AzureVMWorkloadSQLInstanceWorkloadItem
type AzureWorkloadAutoProtectionIntent = original.AzureWorkloadAutoProtectionIntent
type AzureWorkloadBackupRequest = original.AzureWorkloadBackupRequest
type AzureWorkloadContainer = original.AzureWorkloadContainer
type AzureWorkloadContainerAutoProtectionIntent = original.AzureWorkloadContainerAutoProtectionIntent
type AzureWorkloadContainerExtendedInfo = original.AzureWorkloadContainerExtendedInfo
type AzureWorkloadErrorInfo = original.AzureWorkloadErrorInfo
type AzureWorkloadJob = original.AzureWorkloadJob
type AzureWorkloadJobExtendedInfo = original.AzureWorkloadJobExtendedInfo
type AzureWorkloadJobTaskDetails = original.AzureWorkloadJobTaskDetails
type AzureWorkloadPointInTimeRecoveryPoint = original.AzureWorkloadPointInTimeRecoveryPoint
type AzureWorkloadPointInTimeRestoreRequest = original.AzureWorkloadPointInTimeRestoreRequest
type AzureWorkloadRecoveryPoint = original.AzureWorkloadRecoveryPoint
type AzureWorkloadRestoreRequest = original.AzureWorkloadRestoreRequest
type AzureWorkloadSAPHanaPointInTimeRecoveryPoint = original.AzureWorkloadSAPHanaPointInTimeRecoveryPoint
type AzureWorkloadSAPHanaPointInTimeRestoreRequest = original.AzureWorkloadSAPHanaPointInTimeRestoreRequest
type AzureWorkloadSAPHanaPointInTimeRestoreWithRehydrateRequest = original.AzureWorkloadSAPHanaPointInTimeRestoreWithRehydrateRequest
type AzureWorkloadSAPHanaRecoveryPoint = original.AzureWorkloadSAPHanaRecoveryPoint
type AzureWorkloadSAPHanaRestoreRequest = original.AzureWorkloadSAPHanaRestoreRequest
type AzureWorkloadSAPHanaRestoreWithRehydrateRequest = original.AzureWorkloadSAPHanaRestoreWithRehydrateRequest
type AzureWorkloadSQLAutoProtectionIntent = original.AzureWorkloadSQLAutoProtectionIntent
type AzureWorkloadSQLPointInTimeRecoveryPoint = original.AzureWorkloadSQLPointInTimeRecoveryPoint
type AzureWorkloadSQLPointInTimeRestoreRequest = original.AzureWorkloadSQLPointInTimeRestoreRequest
type AzureWorkloadSQLPointInTimeRestoreWithRehydrateRequest = original.AzureWorkloadSQLPointInTimeRestoreWithRehydrateRequest
type AzureWorkloadSQLRecoveryPoint = original.AzureWorkloadSQLRecoveryPoint
type AzureWorkloadSQLRecoveryPointExtendedInfo = original.AzureWorkloadSQLRecoveryPointExtendedInfo
type AzureWorkloadSQLRestoreRequest = original.AzureWorkloadSQLRestoreRequest
type AzureWorkloadSQLRestoreWithRehydrateRequest = original.AzureWorkloadSQLRestoreWithRehydrateRequest
type BEKDetails = original.BEKDetails
type BMSBackupEngineQueryObject = original.BMSBackupEngineQueryObject
type BMSBackupEnginesQueryObject = original.BMSBackupEnginesQueryObject
type BMSBackupSummariesQueryObject = original.BMSBackupSummariesQueryObject
type BMSContainerQueryObject = original.BMSContainerQueryObject
type BMSContainersInquiryQueryObject = original.BMSContainersInquiryQueryObject
type BMSPOQueryObject = original.BMSPOQueryObject
type BMSPrepareDataMoveFuture = original.BMSPrepareDataMoveFuture
type BMSPrepareDataMoveOperationResultClient = original.BMSPrepareDataMoveOperationResultClient
type BMSRPQueryObject = original.BMSRPQueryObject
type BMSRefreshContainersQueryObject = original.BMSRefreshContainersQueryObject
type BMSTriggerDataMoveFuture = original.BMSTriggerDataMoveFuture
type BMSWorkloadItemQueryObject = original.BMSWorkloadItemQueryObject
type BackupsClient = original.BackupsClient
type BaseClient = original.BaseClient
type BasicAzureIaaSVMProtectedItem = original.BasicAzureIaaSVMProtectedItem
type BasicAzureRecoveryServiceVaultProtectionIntent = original.BasicAzureRecoveryServiceVaultProtectionIntent
type BasicAzureVMWorkloadItem = original.BasicAzureVMWorkloadItem
type BasicAzureVMWorkloadProtectableItem = original.BasicAzureVMWorkloadProtectableItem
type BasicAzureVMWorkloadProtectedItem = original.BasicAzureVMWorkloadProtectedItem
type BasicAzureWorkloadAutoProtectionIntent = original.BasicAzureWorkloadAutoProtectionIntent
type BasicAzureWorkloadContainer = original.BasicAzureWorkloadContainer
type BasicAzureWorkloadPointInTimeRecoveryPoint = original.BasicAzureWorkloadPointInTimeRecoveryPoint
type BasicAzureWorkloadRecoveryPoint = original.BasicAzureWorkloadRecoveryPoint
type BasicAzureWorkloadRestoreRequest = original.BasicAzureWorkloadRestoreRequest
type BasicAzureWorkloadSAPHanaPointInTimeRestoreRequest = original.BasicAzureWorkloadSAPHanaPointInTimeRestoreRequest
type BasicAzureWorkloadSAPHanaRestoreRequest = original.BasicAzureWorkloadSAPHanaRestoreRequest
type BasicAzureWorkloadSQLPointInTimeRestoreRequest = original.BasicAzureWorkloadSQLPointInTimeRestoreRequest
type BasicAzureWorkloadSQLRecoveryPoint = original.BasicAzureWorkloadSQLRecoveryPoint
type BasicAzureWorkloadSQLRestoreRequest = original.BasicAzureWorkloadSQLRestoreRequest
type BasicDpmContainer = original.BasicDpmContainer
type BasicEngineBase = original.BasicEngineBase
type BasicFeatureSupportRequest = original.BasicFeatureSupportRequest
type BasicILRRequest = original.BasicILRRequest
type BasicIaaSVMContainer = original.BasicIaaSVMContainer
type BasicIaaSVMProtectableItem = original.BasicIaaSVMProtectableItem
type BasicIaasVMRestoreRequest = original.BasicIaasVMRestoreRequest
type BasicJob = original.BasicJob
type BasicOperationResultInfoBase = original.BasicOperationResultInfoBase
type BasicOperationStatusExtendedInfo = original.BasicOperationStatusExtendedInfo
type BasicProtectableContainer = original.BasicProtectableContainer
type BasicProtectedItem = original.BasicProtectedItem
type BasicProtectionContainer = original.BasicProtectionContainer
type BasicProtectionIntent = original.BasicProtectionIntent
type BasicProtectionPolicy = original.BasicProtectionPolicy
type BasicRecoveryPoint = original.BasicRecoveryPoint
type BasicRequest = original.BasicRequest
type BasicRestoreRequest = original.BasicRestoreRequest
type BasicRetentionPolicy = original.BasicRetentionPolicy
type BasicSchedulePolicy = original.BasicSchedulePolicy
type BasicValidateOperationRequest = original.BasicValidateOperationRequest
type BasicValidateRestoreOperationRequest = original.BasicValidateRestoreOperationRequest
type BasicVaultStorageConfigOperationResultResponse = original.BasicVaultStorageConfigOperationResultResponse
type BasicWorkloadItem = original.BasicWorkloadItem
type BasicWorkloadProtectableItem = original.BasicWorkloadProtectableItem
type ClientDiscoveryDisplay = original.ClientDiscoveryDisplay
type ClientDiscoveryForLogSpecification = original.ClientDiscoveryForLogSpecification
type ClientDiscoveryForProperties = original.ClientDiscoveryForProperties
type ClientDiscoveryForServiceSpecification = original.ClientDiscoveryForServiceSpecification
type ClientDiscoveryResponse = original.ClientDiscoveryResponse
type ClientDiscoveryResponseIterator = original.ClientDiscoveryResponseIterator
type ClientDiscoveryResponsePage = original.ClientDiscoveryResponsePage
type ClientDiscoveryValueForSingleAPI = original.ClientDiscoveryValueForSingleAPI
type ClientScriptForConnect = original.ClientScriptForConnect
type CloudError = original.CloudError
type CloudErrorBody = original.CloudErrorBody
type ContainerIdentityInfo = original.ContainerIdentityInfo
type DPMContainerExtendedInfo = original.DPMContainerExtendedInfo
type DPMProtectedItem = original.DPMProtectedItem
type DPMProtectedItemExtendedInfo = original.DPMProtectedItemExtendedInfo
type DailyRetentionFormat = original.DailyRetentionFormat
type DailyRetentionSchedule = original.DailyRetentionSchedule
type DailySchedule = original.DailySchedule
type Day = original.Day
type DiskExclusionProperties = original.DiskExclusionProperties
type DiskInformation = original.DiskInformation
type DistributedNodesInfo = original.DistributedNodesInfo
type DpmBackupEngine = original.DpmBackupEngine
type DpmContainer = original.DpmContainer
type DpmErrorInfo = original.DpmErrorInfo
type DpmJob = original.DpmJob
type DpmJobExtendedInfo = original.DpmJobExtendedInfo
type DpmJobTaskDetails = original.DpmJobTaskDetails
type EncryptionDetails = original.EncryptionDetails
type EngineBase = original.EngineBase
type EngineBaseResource = original.EngineBaseResource
type EngineBaseResourceList = original.EngineBaseResourceList
type EngineBaseResourceListIterator = original.EngineBaseResourceListIterator
type EngineBaseResourceListPage = original.EngineBaseResourceListPage
type EngineExtendedInfo = original.EngineExtendedInfo
type EnginesClient = original.EnginesClient
type ErrorAdditionalInfo = original.ErrorAdditionalInfo
type ErrorDetail = original.ErrorDetail
type ExportJobsOperationResultInfo = original.ExportJobsOperationResultInfo
type ExportJobsOperationResultsClient = original.ExportJobsOperationResultsClient
type ExtendedProperties = original.ExtendedProperties
type FeatureSupportClient = original.FeatureSupportClient
type FeatureSupportRequest = original.FeatureSupportRequest
type GenericContainer = original.GenericContainer
type GenericContainerExtendedInfo = original.GenericContainerExtendedInfo
type GenericProtectedItem = original.GenericProtectedItem
type GenericProtectionPolicy = original.GenericProtectionPolicy
type GenericRecoveryPoint = original.GenericRecoveryPoint
type GetProtectedItemQueryObject = original.GetProtectedItemQueryObject
type HourlySchedule = original.HourlySchedule
type ILRRequest = original.ILRRequest
type ILRRequestResource = original.ILRRequestResource
type IaaSVMContainer = original.IaaSVMContainer
type IaaSVMProtectableItem = original.IaaSVMProtectableItem
type IaasVMBackupRequest = original.IaasVMBackupRequest
type IaasVMILRRegistrationRequest = original.IaasVMILRRegistrationRequest
type IaasVMRecoveryPoint = original.IaasVMRecoveryPoint
type IaasVMRestoreRequest = original.IaasVMRestoreRequest
type IaasVMRestoreWithRehydrationRequest = original.IaasVMRestoreWithRehydrationRequest
type IdentityBasedRestoreDetails = original.IdentityBasedRestoreDetails
type IdentityInfo = original.IdentityInfo
type InquiryInfo = original.InquiryInfo
type InquiryValidation = original.InquiryValidation
type InstantItemRecoveryTarget = original.InstantItemRecoveryTarget
type InstantRPAdditionalDetails = original.InstantRPAdditionalDetails
type ItemLevelRecoveryConnectionsClient = original.ItemLevelRecoveryConnectionsClient
type Job = original.Job
type JobCancellationsClient = original.JobCancellationsClient
type JobDetailsClient = original.JobDetailsClient
type JobOperationResultsClient = original.JobOperationResultsClient
type JobQueryObject = original.JobQueryObject
type JobResource = original.JobResource
type JobResourceList = original.JobResourceList
type JobResourceListIterator = original.JobResourceListIterator
type JobResourceListPage = original.JobResourceListPage
type JobsClient = original.JobsClient
type JobsGroupClient = original.JobsGroupClient
type KEKDetails = original.KEKDetails
type KPIResourceHealthDetails = original.KPIResourceHealthDetails
type KeyAndSecretDetails = original.KeyAndSecretDetails
type ListRecoveryPointsRecommendedForMoveRequest = original.ListRecoveryPointsRecommendedForMoveRequest
type LogSchedulePolicy = original.LogSchedulePolicy
type LongTermRetentionPolicy = original.LongTermRetentionPolicy
type LongTermSchedulePolicy = original.LongTermSchedulePolicy
type MABContainerHealthDetails = original.MABContainerHealthDetails
type MabContainer = original.MabContainer
type MabContainerExtendedInfo = original.MabContainerExtendedInfo
type MabErrorInfo = original.MabErrorInfo
type MabFileFolderProtectedItem = original.MabFileFolderProtectedItem
type MabFileFolderProtectedItemExtendedInfo = original.MabFileFolderProtectedItemExtendedInfo
type MabJob = original.MabJob
type MabJobExtendedInfo = original.MabJobExtendedInfo
type MabJobTaskDetails = original.MabJobTaskDetails
type MabProtectionPolicy = original.MabProtectionPolicy
type ManagementUsage = original.ManagementUsage
type ManagementUsageList = original.ManagementUsageList
type MonthlyRetentionSchedule = original.MonthlyRetentionSchedule
type MoveRPAcrossTiersRequest = original.MoveRPAcrossTiersRequest
type MoveRecoveryPointFuture = original.MoveRecoveryPointFuture
type NameInfo = original.NameInfo
type NewErrorResponse = original.NewErrorResponse
type NewErrorResponseError = original.NewErrorResponseError
type OperationClient = original.OperationClient
type OperationResultInfo = original.OperationResultInfo
type OperationResultInfoBase = original.OperationResultInfoBase
type OperationResultInfoBaseResource = original.OperationResultInfoBaseResource
type OperationResultsClient = original.OperationResultsClient
type OperationStatus = original.OperationStatus
type OperationStatusError = original.OperationStatusError
type OperationStatusExtendedInfo = original.OperationStatusExtendedInfo
type OperationStatusJobExtendedInfo = original.OperationStatusJobExtendedInfo
type OperationStatusJobsExtendedInfo = original.OperationStatusJobsExtendedInfo
type OperationStatusProvisionILRExtendedInfo = original.OperationStatusProvisionILRExtendedInfo
type OperationStatusValidateOperationExtendedInfo = original.OperationStatusValidateOperationExtendedInfo
type OperationStatusesClient = original.OperationStatusesClient
type OperationWorkerResponse = original.OperationWorkerResponse
type OperationsClient = original.OperationsClient
type PointInTimeRange = original.PointInTimeRange
type PoliciesClient = original.PoliciesClient
type PreBackupValidation = original.PreBackupValidation
type PreValidateEnableBackupRequest = original.PreValidateEnableBackupRequest
type PreValidateEnableBackupResponse = original.PreValidateEnableBackupResponse
type PrepareDataMoveRequest = original.PrepareDataMoveRequest
type PrepareDataMoveResponse = original.PrepareDataMoveResponse
type PrivateEndpoint = original.PrivateEndpoint
type PrivateEndpointClient = original.PrivateEndpointClient
type PrivateEndpointConnection = original.PrivateEndpointConnection
type PrivateEndpointConnectionClient = original.PrivateEndpointConnectionClient
type PrivateEndpointConnectionDeleteFuture = original.PrivateEndpointConnectionDeleteFuture
type PrivateEndpointConnectionPutFuture = original.PrivateEndpointConnectionPutFuture
type PrivateEndpointConnectionResource = original.PrivateEndpointConnectionResource
type PrivateLinkServiceConnectionState = original.PrivateLinkServiceConnectionState
type ProtectableContainer = original.ProtectableContainer
type ProtectableContainerResource = original.ProtectableContainerResource
type ProtectableContainerResourceList = original.ProtectableContainerResourceList
type ProtectableContainerResourceListIterator = original.ProtectableContainerResourceListIterator
type ProtectableContainerResourceListPage = original.ProtectableContainerResourceListPage
type ProtectableContainersClient = original.ProtectableContainersClient
type ProtectableItemsClient = original.ProtectableItemsClient
type ProtectedItem = original.ProtectedItem
type ProtectedItemOperationResultsClient = original.ProtectedItemOperationResultsClient
type ProtectedItemOperationStatusesClient = original.ProtectedItemOperationStatusesClient
type ProtectedItemQueryObject = original.ProtectedItemQueryObject
type ProtectedItemResource = original.ProtectedItemResource
type ProtectedItemResourceList = original.ProtectedItemResourceList
type ProtectedItemResourceListIterator = original.ProtectedItemResourceListIterator
type ProtectedItemResourceListPage = original.ProtectedItemResourceListPage
type ProtectedItemsClient = original.ProtectedItemsClient
type ProtectedItemsGroupClient = original.ProtectedItemsGroupClient
type ProtectionContainer = original.ProtectionContainer
type ProtectionContainerOperationResultsClient = original.ProtectionContainerOperationResultsClient
type ProtectionContainerRefreshOperationResultsClient = original.ProtectionContainerRefreshOperationResultsClient
type ProtectionContainerResource = original.ProtectionContainerResource
type ProtectionContainerResourceList = original.ProtectionContainerResourceList
type ProtectionContainerResourceListIterator = original.ProtectionContainerResourceListIterator
type ProtectionContainerResourceListPage = original.ProtectionContainerResourceListPage
type ProtectionContainersClient = original.ProtectionContainersClient
type ProtectionContainersGroupClient = original.ProtectionContainersGroupClient
type ProtectionIntent = original.ProtectionIntent
type ProtectionIntentClient = original.ProtectionIntentClient
type ProtectionIntentGroupClient = original.ProtectionIntentGroupClient
type ProtectionIntentQueryObject = original.ProtectionIntentQueryObject
type ProtectionIntentResource = original.ProtectionIntentResource
type ProtectionIntentResourceList = original.ProtectionIntentResourceList
type ProtectionIntentResourceListIterator = original.ProtectionIntentResourceListIterator
type ProtectionIntentResourceListPage = original.ProtectionIntentResourceListPage
type ProtectionPoliciesClient = original.ProtectionPoliciesClient
type ProtectionPoliciesDeleteFuture = original.ProtectionPoliciesDeleteFuture
type ProtectionPolicy = original.ProtectionPolicy
type ProtectionPolicyOperationResultsClient = original.ProtectionPolicyOperationResultsClient
type ProtectionPolicyOperationStatusesClient = original.ProtectionPolicyOperationStatusesClient
type ProtectionPolicyQueryObject = original.ProtectionPolicyQueryObject
type ProtectionPolicyResource = original.ProtectionPolicyResource
type ProtectionPolicyResourceList = original.ProtectionPolicyResourceList
type ProtectionPolicyResourceListIterator = original.ProtectionPolicyResourceListIterator
type ProtectionPolicyResourceListPage = original.ProtectionPolicyResourceListPage
type RecoveryPoint = original.RecoveryPoint
type RecoveryPointDiskConfiguration = original.RecoveryPointDiskConfiguration
type RecoveryPointMoveReadinessInfo = original.RecoveryPointMoveReadinessInfo
type RecoveryPointRehydrationInfo = original.RecoveryPointRehydrationInfo
type RecoveryPointResource = original.RecoveryPointResource
type RecoveryPointResourceList = original.RecoveryPointResourceList
type RecoveryPointResourceListIterator = original.RecoveryPointResourceListIterator
type RecoveryPointResourceListPage = original.RecoveryPointResourceListPage
type RecoveryPointTierInformation = original.RecoveryPointTierInformation
type RecoveryPointTierInformationV2 = original.RecoveryPointTierInformationV2
type RecoveryPointsClient = original.RecoveryPointsClient
type RecoveryPointsRecommendedForMoveClient = original.RecoveryPointsRecommendedForMoveClient
type Request = original.Request
type RequestResource = original.RequestResource
type Resource = original.Resource
type ResourceConfig = original.ResourceConfig
type ResourceConfigResource = original.ResourceConfigResource
type ResourceEncryptionConfig = original.ResourceEncryptionConfig
type ResourceEncryptionConfigExtended = original.ResourceEncryptionConfigExtended
type ResourceEncryptionConfigExtendedResource = original.ResourceEncryptionConfigExtendedResource
type ResourceEncryptionConfigResource = original.ResourceEncryptionConfigResource
type ResourceEncryptionConfigsClient = original.ResourceEncryptionConfigsClient
type ResourceGuardOperationDetail = original.ResourceGuardOperationDetail
type ResourceGuardProxiesClient = original.ResourceGuardProxiesClient
type ResourceGuardProxyBase = original.ResourceGuardProxyBase
type ResourceGuardProxyBaseResource = original.ResourceGuardProxyBaseResource
type ResourceGuardProxyBaseResourceList = original.ResourceGuardProxyBaseResourceList
type ResourceGuardProxyBaseResourceListIterator = original.ResourceGuardProxyBaseResourceListIterator
type ResourceGuardProxyBaseResourceListPage = original.ResourceGuardProxyBaseResourceListPage
type ResourceGuardProxyClient = original.ResourceGuardProxyClient
type ResourceHealthDetails = original.ResourceHealthDetails
type ResourceList = original.ResourceList
type ResourceStorageConfigsNonCRRClient = original.ResourceStorageConfigsNonCRRClient
type ResourceVaultConfig = original.ResourceVaultConfig
type ResourceVaultConfigResource = original.ResourceVaultConfigResource
type ResourceVaultConfigsClient = original.ResourceVaultConfigsClient
type RestoreFileSpecs = original.RestoreFileSpecs
type RestoreRequest = original.RestoreRequest
type RestoreRequestResource = original.RestoreRequestResource
type RestoresClient = original.RestoresClient
type RestoresTriggerFuture = original.RestoresTriggerFuture
type RetentionDuration = original.RetentionDuration
type RetentionPolicy = original.RetentionPolicy
type SQLDataDirectory = original.SQLDataDirectory
type SQLDataDirectoryMapping = original.SQLDataDirectoryMapping
type SchedulePolicy = original.SchedulePolicy
type SecurityPINsClient = original.SecurityPINsClient
type SecurityPinBase = original.SecurityPinBase
type Settings = original.Settings
type SimpleRetentionPolicy = original.SimpleRetentionPolicy
type SimpleSchedulePolicy = original.SimpleSchedulePolicy
type SimpleSchedulePolicyV2 = original.SimpleSchedulePolicyV2
type StatusClient = original.StatusClient
type StatusRequest = original.StatusRequest
type StatusResponse = original.StatusResponse
type SubProtectionPolicy = original.SubProtectionPolicy
type TargetAFSRestoreInfo = original.TargetAFSRestoreInfo
type TargetRestoreInfo = original.TargetRestoreInfo
type TokenInformation = original.TokenInformation
type TriggerDataMoveRequest = original.TriggerDataMoveRequest
type UnlockDeleteRequest = original.UnlockDeleteRequest
type UnlockDeleteResponse = original.UnlockDeleteResponse
type UsageSummariesClient = original.UsageSummariesClient
type ValidateIaasVMRestoreOperationRequest = original.ValidateIaasVMRestoreOperationRequest
type ValidateOperationClient = original.ValidateOperationClient
type ValidateOperationRequest = original.ValidateOperationRequest
type ValidateOperationResponse = original.ValidateOperationResponse
type ValidateOperationResultsClient = original.ValidateOperationResultsClient
type ValidateOperationStatusesClient = original.ValidateOperationStatusesClient
type ValidateOperationTriggerFuture = original.ValidateOperationTriggerFuture
type ValidateOperationsResponse = original.ValidateOperationsResponse
type ValidateRestoreOperationRequest = original.ValidateRestoreOperationRequest
type VaultJob = original.VaultJob
type VaultJobErrorInfo = original.VaultJobErrorInfo
type VaultJobExtendedInfo = original.VaultJobExtendedInfo
type VaultStorageConfigOperationResultResponse = original.VaultStorageConfigOperationResultResponse
type VaultStorageConfigOperationResultResponseModel = original.VaultStorageConfigOperationResultResponseModel
type WeeklyRetentionFormat = original.WeeklyRetentionFormat
type WeeklyRetentionSchedule = original.WeeklyRetentionSchedule
type WeeklySchedule = original.WeeklySchedule
type WorkloadInquiryDetails = original.WorkloadInquiryDetails
type WorkloadItem = original.WorkloadItem
type WorkloadItemResource = original.WorkloadItemResource
type WorkloadItemResourceList = original.WorkloadItemResourceList
type WorkloadItemResourceListIterator = original.WorkloadItemResourceListIterator
type WorkloadItemResourceListPage = original.WorkloadItemResourceListPage
type WorkloadItemsClient = original.WorkloadItemsClient
type WorkloadProtectableItem = original.WorkloadProtectableItem
type WorkloadProtectableItemResource = original.WorkloadProtectableItemResource
type WorkloadProtectableItemResourceList = original.WorkloadProtectableItemResourceList
type WorkloadProtectableItemResourceListIterator = original.WorkloadProtectableItemResourceListIterator
type WorkloadProtectableItemResourceListPage = original.WorkloadProtectableItemResourceListPage
type YearlyRetentionSchedule = original.YearlyRetentionSchedule

func New(subscriptionID string) BaseClient {
	return original.New(subscriptionID)
}
func NewBMSPrepareDataMoveOperationResultClient(subscriptionID string) BMSPrepareDataMoveOperationResultClient {
	return original.NewBMSPrepareDataMoveOperationResultClient(subscriptionID)
}
func NewBMSPrepareDataMoveOperationResultClientWithBaseURI(baseURI string, subscriptionID string) BMSPrepareDataMoveOperationResultClient {
	return original.NewBMSPrepareDataMoveOperationResultClientWithBaseURI(baseURI, subscriptionID)
}
func NewBackupsClient(subscriptionID string) BackupsClient {
	return original.NewBackupsClient(subscriptionID)
}
func NewBackupsClientWithBaseURI(baseURI string, subscriptionID string) BackupsClient {
	return original.NewBackupsClientWithBaseURI(baseURI, subscriptionID)
}
func NewClientDiscoveryResponseIterator(page ClientDiscoveryResponsePage) ClientDiscoveryResponseIterator {
	return original.NewClientDiscoveryResponseIterator(page)
}
func NewClientDiscoveryResponsePage(cur ClientDiscoveryResponse, getNextPage func(context.Context, ClientDiscoveryResponse) (ClientDiscoveryResponse, error)) ClientDiscoveryResponsePage {
	return original.NewClientDiscoveryResponsePage(cur, getNextPage)
}
func NewEngineBaseResourceListIterator(page EngineBaseResourceListPage) EngineBaseResourceListIterator {
	return original.NewEngineBaseResourceListIterator(page)
}
func NewEngineBaseResourceListPage(cur EngineBaseResourceList, getNextPage func(context.Context, EngineBaseResourceList) (EngineBaseResourceList, error)) EngineBaseResourceListPage {
	return original.NewEngineBaseResourceListPage(cur, getNextPage)
}
func NewEnginesClient(subscriptionID string) EnginesClient {
	return original.NewEnginesClient(subscriptionID)
}
func NewEnginesClientWithBaseURI(baseURI string, subscriptionID string) EnginesClient {
	return original.NewEnginesClientWithBaseURI(baseURI, subscriptionID)
}
func NewExportJobsOperationResultsClient(subscriptionID string) ExportJobsOperationResultsClient {
	return original.NewExportJobsOperationResultsClient(subscriptionID)
}
func NewExportJobsOperationResultsClientWithBaseURI(baseURI string, subscriptionID string) ExportJobsOperationResultsClient {
	return original.NewExportJobsOperationResultsClientWithBaseURI(baseURI, subscriptionID)
}
func NewFeatureSupportClient(subscriptionID string) FeatureSupportClient {
	return original.NewFeatureSupportClient(subscriptionID)
}
func NewFeatureSupportClientWithBaseURI(baseURI string, subscriptionID string) FeatureSupportClient {
	return original.NewFeatureSupportClientWithBaseURI(baseURI, subscriptionID)
}
func NewItemLevelRecoveryConnectionsClient(subscriptionID string) ItemLevelRecoveryConnectionsClient {
	return original.NewItemLevelRecoveryConnectionsClient(subscriptionID)
}
func NewItemLevelRecoveryConnectionsClientWithBaseURI(baseURI string, subscriptionID string) ItemLevelRecoveryConnectionsClient {
	return original.NewItemLevelRecoveryConnectionsClientWithBaseURI(baseURI, subscriptionID)
}
func NewJobCancellationsClient(subscriptionID string) JobCancellationsClient {
	return original.NewJobCancellationsClient(subscriptionID)
}
func NewJobCancellationsClientWithBaseURI(baseURI string, subscriptionID string) JobCancellationsClient {
	return original.NewJobCancellationsClientWithBaseURI(baseURI, subscriptionID)
}
func NewJobDetailsClient(subscriptionID string) JobDetailsClient {
	return original.NewJobDetailsClient(subscriptionID)
}
func NewJobDetailsClientWithBaseURI(baseURI string, subscriptionID string) JobDetailsClient {
	return original.NewJobDetailsClientWithBaseURI(baseURI, subscriptionID)
}
func NewJobOperationResultsClient(subscriptionID string) JobOperationResultsClient {
	return original.NewJobOperationResultsClient(subscriptionID)
}
func NewJobOperationResultsClientWithBaseURI(baseURI string, subscriptionID string) JobOperationResultsClient {
	return original.NewJobOperationResultsClientWithBaseURI(baseURI, subscriptionID)
}
func NewJobResourceListIterator(page JobResourceListPage) JobResourceListIterator {
	return original.NewJobResourceListIterator(page)
}
func NewJobResourceListPage(cur JobResourceList, getNextPage func(context.Context, JobResourceList) (JobResourceList, error)) JobResourceListPage {
	return original.NewJobResourceListPage(cur, getNextPage)
}
func NewJobsClient(subscriptionID string) JobsClient {
	return original.NewJobsClient(subscriptionID)
}
func NewJobsClientWithBaseURI(baseURI string, subscriptionID string) JobsClient {
	return original.NewJobsClientWithBaseURI(baseURI, subscriptionID)
}
func NewJobsGroupClient(subscriptionID string) JobsGroupClient {
	return original.NewJobsGroupClient(subscriptionID)
}
func NewJobsGroupClientWithBaseURI(baseURI string, subscriptionID string) JobsGroupClient {
	return original.NewJobsGroupClientWithBaseURI(baseURI, subscriptionID)
}
func NewOperationClient(subscriptionID string) OperationClient {
	return original.NewOperationClient(subscriptionID)
}
func NewOperationClientWithBaseURI(baseURI string, subscriptionID string) OperationClient {
	return original.NewOperationClientWithBaseURI(baseURI, subscriptionID)
}
func NewOperationResultsClient(subscriptionID string) OperationResultsClient {
	return original.NewOperationResultsClient(subscriptionID)
}
func NewOperationResultsClientWithBaseURI(baseURI string, subscriptionID string) OperationResultsClient {
	return original.NewOperationResultsClientWithBaseURI(baseURI, subscriptionID)
}
func NewOperationStatusesClient(subscriptionID string) OperationStatusesClient {
	return original.NewOperationStatusesClient(subscriptionID)
}
func NewOperationStatusesClientWithBaseURI(baseURI string, subscriptionID string) OperationStatusesClient {
	return original.NewOperationStatusesClientWithBaseURI(baseURI, subscriptionID)
}
func NewOperationsClient(subscriptionID string) OperationsClient {
	return original.NewOperationsClient(subscriptionID)
}
func NewOperationsClientWithBaseURI(baseURI string, subscriptionID string) OperationsClient {
	return original.NewOperationsClientWithBaseURI(baseURI, subscriptionID)
}
func NewPoliciesClient(subscriptionID string) PoliciesClient {
	return original.NewPoliciesClient(subscriptionID)
}
func NewPoliciesClientWithBaseURI(baseURI string, subscriptionID string) PoliciesClient {
	return original.NewPoliciesClientWithBaseURI(baseURI, subscriptionID)
}
func NewPrivateEndpointClient(subscriptionID string) PrivateEndpointClient {
	return original.NewPrivateEndpointClient(subscriptionID)
}
func NewPrivateEndpointClientWithBaseURI(baseURI string, subscriptionID string) PrivateEndpointClient {
	return original.NewPrivateEndpointClientWithBaseURI(baseURI, subscriptionID)
}
func NewPrivateEndpointConnectionClient(subscriptionID string) PrivateEndpointConnectionClient {
	return original.NewPrivateEndpointConnectionClient(subscriptionID)
}
func NewPrivateEndpointConnectionClientWithBaseURI(baseURI string, subscriptionID string) PrivateEndpointConnectionClient {
	return original.NewPrivateEndpointConnectionClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectableContainerResourceListIterator(page ProtectableContainerResourceListPage) ProtectableContainerResourceListIterator {
	return original.NewProtectableContainerResourceListIterator(page)
}
func NewProtectableContainerResourceListPage(cur ProtectableContainerResourceList, getNextPage func(context.Context, ProtectableContainerResourceList) (ProtectableContainerResourceList, error)) ProtectableContainerResourceListPage {
	return original.NewProtectableContainerResourceListPage(cur, getNextPage)
}
func NewProtectableContainersClient(subscriptionID string) ProtectableContainersClient {
	return original.NewProtectableContainersClient(subscriptionID)
}
func NewProtectableContainersClientWithBaseURI(baseURI string, subscriptionID string) ProtectableContainersClient {
	return original.NewProtectableContainersClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectableItemsClient(subscriptionID string) ProtectableItemsClient {
	return original.NewProtectableItemsClient(subscriptionID)
}
func NewProtectableItemsClientWithBaseURI(baseURI string, subscriptionID string) ProtectableItemsClient {
	return original.NewProtectableItemsClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectedItemOperationResultsClient(subscriptionID string) ProtectedItemOperationResultsClient {
	return original.NewProtectedItemOperationResultsClient(subscriptionID)
}
func NewProtectedItemOperationResultsClientWithBaseURI(baseURI string, subscriptionID string) ProtectedItemOperationResultsClient {
	return original.NewProtectedItemOperationResultsClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectedItemOperationStatusesClient(subscriptionID string) ProtectedItemOperationStatusesClient {
	return original.NewProtectedItemOperationStatusesClient(subscriptionID)
}
func NewProtectedItemOperationStatusesClientWithBaseURI(baseURI string, subscriptionID string) ProtectedItemOperationStatusesClient {
	return original.NewProtectedItemOperationStatusesClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectedItemResourceListIterator(page ProtectedItemResourceListPage) ProtectedItemResourceListIterator {
	return original.NewProtectedItemResourceListIterator(page)
}
func NewProtectedItemResourceListPage(cur ProtectedItemResourceList, getNextPage func(context.Context, ProtectedItemResourceList) (ProtectedItemResourceList, error)) ProtectedItemResourceListPage {
	return original.NewProtectedItemResourceListPage(cur, getNextPage)
}
func NewProtectedItemsClient(subscriptionID string) ProtectedItemsClient {
	return original.NewProtectedItemsClient(subscriptionID)
}
func NewProtectedItemsClientWithBaseURI(baseURI string, subscriptionID string) ProtectedItemsClient {
	return original.NewProtectedItemsClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectedItemsGroupClient(subscriptionID string) ProtectedItemsGroupClient {
	return original.NewProtectedItemsGroupClient(subscriptionID)
}
func NewProtectedItemsGroupClientWithBaseURI(baseURI string, subscriptionID string) ProtectedItemsGroupClient {
	return original.NewProtectedItemsGroupClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionContainerOperationResultsClient(subscriptionID string) ProtectionContainerOperationResultsClient {
	return original.NewProtectionContainerOperationResultsClient(subscriptionID)
}
func NewProtectionContainerOperationResultsClientWithBaseURI(baseURI string, subscriptionID string) ProtectionContainerOperationResultsClient {
	return original.NewProtectionContainerOperationResultsClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionContainerRefreshOperationResultsClient(subscriptionID string) ProtectionContainerRefreshOperationResultsClient {
	return original.NewProtectionContainerRefreshOperationResultsClient(subscriptionID)
}
func NewProtectionContainerRefreshOperationResultsClientWithBaseURI(baseURI string, subscriptionID string) ProtectionContainerRefreshOperationResultsClient {
	return original.NewProtectionContainerRefreshOperationResultsClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionContainerResourceListIterator(page ProtectionContainerResourceListPage) ProtectionContainerResourceListIterator {
	return original.NewProtectionContainerResourceListIterator(page)
}
func NewProtectionContainerResourceListPage(cur ProtectionContainerResourceList, getNextPage func(context.Context, ProtectionContainerResourceList) (ProtectionContainerResourceList, error)) ProtectionContainerResourceListPage {
	return original.NewProtectionContainerResourceListPage(cur, getNextPage)
}
func NewProtectionContainersClient(subscriptionID string) ProtectionContainersClient {
	return original.NewProtectionContainersClient(subscriptionID)
}
func NewProtectionContainersClientWithBaseURI(baseURI string, subscriptionID string) ProtectionContainersClient {
	return original.NewProtectionContainersClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionContainersGroupClient(subscriptionID string) ProtectionContainersGroupClient {
	return original.NewProtectionContainersGroupClient(subscriptionID)
}
func NewProtectionContainersGroupClientWithBaseURI(baseURI string, subscriptionID string) ProtectionContainersGroupClient {
	return original.NewProtectionContainersGroupClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionIntentClient(subscriptionID string) ProtectionIntentClient {
	return original.NewProtectionIntentClient(subscriptionID)
}
func NewProtectionIntentClientWithBaseURI(baseURI string, subscriptionID string) ProtectionIntentClient {
	return original.NewProtectionIntentClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionIntentGroupClient(subscriptionID string) ProtectionIntentGroupClient {
	return original.NewProtectionIntentGroupClient(subscriptionID)
}
func NewProtectionIntentGroupClientWithBaseURI(baseURI string, subscriptionID string) ProtectionIntentGroupClient {
	return original.NewProtectionIntentGroupClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionIntentResourceListIterator(page ProtectionIntentResourceListPage) ProtectionIntentResourceListIterator {
	return original.NewProtectionIntentResourceListIterator(page)
}
func NewProtectionIntentResourceListPage(cur ProtectionIntentResourceList, getNextPage func(context.Context, ProtectionIntentResourceList) (ProtectionIntentResourceList, error)) ProtectionIntentResourceListPage {
	return original.NewProtectionIntentResourceListPage(cur, getNextPage)
}
func NewProtectionPoliciesClient(subscriptionID string) ProtectionPoliciesClient {
	return original.NewProtectionPoliciesClient(subscriptionID)
}
func NewProtectionPoliciesClientWithBaseURI(baseURI string, subscriptionID string) ProtectionPoliciesClient {
	return original.NewProtectionPoliciesClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionPolicyOperationResultsClient(subscriptionID string) ProtectionPolicyOperationResultsClient {
	return original.NewProtectionPolicyOperationResultsClient(subscriptionID)
}
func NewProtectionPolicyOperationResultsClientWithBaseURI(baseURI string, subscriptionID string) ProtectionPolicyOperationResultsClient {
	return original.NewProtectionPolicyOperationResultsClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionPolicyOperationStatusesClient(subscriptionID string) ProtectionPolicyOperationStatusesClient {
	return original.NewProtectionPolicyOperationStatusesClient(subscriptionID)
}
func NewProtectionPolicyOperationStatusesClientWithBaseURI(baseURI string, subscriptionID string) ProtectionPolicyOperationStatusesClient {
	return original.NewProtectionPolicyOperationStatusesClientWithBaseURI(baseURI, subscriptionID)
}
func NewProtectionPolicyResourceListIterator(page ProtectionPolicyResourceListPage) ProtectionPolicyResourceListIterator {
	return original.NewProtectionPolicyResourceListIterator(page)
}
func NewProtectionPolicyResourceListPage(cur ProtectionPolicyResourceList, getNextPage func(context.Context, ProtectionPolicyResourceList) (ProtectionPolicyResourceList, error)) ProtectionPolicyResourceListPage {
	return original.NewProtectionPolicyResourceListPage(cur, getNextPage)
}
func NewRecoveryPointResourceListIterator(page RecoveryPointResourceListPage) RecoveryPointResourceListIterator {
	return original.NewRecoveryPointResourceListIterator(page)
}
func NewRecoveryPointResourceListPage(cur RecoveryPointResourceList, getNextPage func(context.Context, RecoveryPointResourceList) (RecoveryPointResourceList, error)) RecoveryPointResourceListPage {
	return original.NewRecoveryPointResourceListPage(cur, getNextPage)
}
func NewRecoveryPointsClient(subscriptionID string) RecoveryPointsClient {
	return original.NewRecoveryPointsClient(subscriptionID)
}
func NewRecoveryPointsClientWithBaseURI(baseURI string, subscriptionID string) RecoveryPointsClient {
	return original.NewRecoveryPointsClientWithBaseURI(baseURI, subscriptionID)
}
func NewRecoveryPointsRecommendedForMoveClient(subscriptionID string) RecoveryPointsRecommendedForMoveClient {
	return original.NewRecoveryPointsRecommendedForMoveClient(subscriptionID)
}
func NewRecoveryPointsRecommendedForMoveClientWithBaseURI(baseURI string, subscriptionID string) RecoveryPointsRecommendedForMoveClient {
	return original.NewRecoveryPointsRecommendedForMoveClientWithBaseURI(baseURI, subscriptionID)
}
func NewResourceEncryptionConfigsClient(subscriptionID string) ResourceEncryptionConfigsClient {
	return original.NewResourceEncryptionConfigsClient(subscriptionID)
}
func NewResourceEncryptionConfigsClientWithBaseURI(baseURI string, subscriptionID string) ResourceEncryptionConfigsClient {
	return original.NewResourceEncryptionConfigsClientWithBaseURI(baseURI, subscriptionID)
}
func NewResourceGuardProxiesClient(subscriptionID string) ResourceGuardProxiesClient {
	return original.NewResourceGuardProxiesClient(subscriptionID)
}
func NewResourceGuardProxiesClientWithBaseURI(baseURI string, subscriptionID string) ResourceGuardProxiesClient {
	return original.NewResourceGuardProxiesClientWithBaseURI(baseURI, subscriptionID)
}
func NewResourceGuardProxyBaseResourceListIterator(page ResourceGuardProxyBaseResourceListPage) ResourceGuardProxyBaseResourceListIterator {
	return original.NewResourceGuardProxyBaseResourceListIterator(page)
}
func NewResourceGuardProxyBaseResourceListPage(cur ResourceGuardProxyBaseResourceList, getNextPage func(context.Context, ResourceGuardProxyBaseResourceList) (ResourceGuardProxyBaseResourceList, error)) ResourceGuardProxyBaseResourceListPage {
	return original.NewResourceGuardProxyBaseResourceListPage(cur, getNextPage)
}
func NewResourceGuardProxyClient(subscriptionID string) ResourceGuardProxyClient {
	return original.NewResourceGuardProxyClient(subscriptionID)
}
func NewResourceGuardProxyClientWithBaseURI(baseURI string, subscriptionID string) ResourceGuardProxyClient {
	return original.NewResourceGuardProxyClientWithBaseURI(baseURI, subscriptionID)
}
func NewResourceStorageConfigsNonCRRClient(subscriptionID string) ResourceStorageConfigsNonCRRClient {
	return original.NewResourceStorageConfigsNonCRRClient(subscriptionID)
}
func NewResourceStorageConfigsNonCRRClientWithBaseURI(baseURI string, subscriptionID string) ResourceStorageConfigsNonCRRClient {
	return original.NewResourceStorageConfigsNonCRRClientWithBaseURI(baseURI, subscriptionID)
}
func NewResourceVaultConfigsClient(subscriptionID string) ResourceVaultConfigsClient {
	return original.NewResourceVaultConfigsClient(subscriptionID)
}
func NewResourceVaultConfigsClientWithBaseURI(baseURI string, subscriptionID string) ResourceVaultConfigsClient {
	return original.NewResourceVaultConfigsClientWithBaseURI(baseURI, subscriptionID)
}
func NewRestoresClient(subscriptionID string) RestoresClient {
	return original.NewRestoresClient(subscriptionID)
}
func NewRestoresClientWithBaseURI(baseURI string, subscriptionID string) RestoresClient {
	return original.NewRestoresClientWithBaseURI(baseURI, subscriptionID)
}
func NewSecurityPINsClient(subscriptionID string) SecurityPINsClient {
	return original.NewSecurityPINsClient(subscriptionID)
}
func NewSecurityPINsClientWithBaseURI(baseURI string, subscriptionID string) SecurityPINsClient {
	return original.NewSecurityPINsClientWithBaseURI(baseURI, subscriptionID)
}
func NewStatusClient(subscriptionID string) StatusClient {
	return original.NewStatusClient(subscriptionID)
}
func NewStatusClientWithBaseURI(baseURI string, subscriptionID string) StatusClient {
	return original.NewStatusClientWithBaseURI(baseURI, subscriptionID)
}
func NewUsageSummariesClient(subscriptionID string) UsageSummariesClient {
	return original.NewUsageSummariesClient(subscriptionID)
}
func NewUsageSummariesClientWithBaseURI(baseURI string, subscriptionID string) UsageSummariesClient {
	return original.NewUsageSummariesClientWithBaseURI(baseURI, subscriptionID)
}
func NewValidateOperationClient(subscriptionID string) ValidateOperationClient {
	return original.NewValidateOperationClient(subscriptionID)
}
func NewValidateOperationClientWithBaseURI(baseURI string, subscriptionID string) ValidateOperationClient {
	return original.NewValidateOperationClientWithBaseURI(baseURI, subscriptionID)
}
func NewValidateOperationResultsClient(subscriptionID string) ValidateOperationResultsClient {
	return original.NewValidateOperationResultsClient(subscriptionID)
}
func NewValidateOperationResultsClientWithBaseURI(baseURI string, subscriptionID string) ValidateOperationResultsClient {
	return original.NewValidateOperationResultsClientWithBaseURI(baseURI, subscriptionID)
}
func NewValidateOperationStatusesClient(subscriptionID string) ValidateOperationStatusesClient {
	return original.NewValidateOperationStatusesClient(subscriptionID)
}
func NewValidateOperationStatusesClientWithBaseURI(baseURI string, subscriptionID string) ValidateOperationStatusesClient {
	return original.NewValidateOperationStatusesClientWithBaseURI(baseURI, subscriptionID)
}
func NewWithBaseURI(baseURI string, subscriptionID string) BaseClient {
	return original.NewWithBaseURI(baseURI, subscriptionID)
}
func NewWorkloadItemResourceListIterator(page WorkloadItemResourceListPage) WorkloadItemResourceListIterator {
	return original.NewWorkloadItemResourceListIterator(page)
}
func NewWorkloadItemResourceListPage(cur WorkloadItemResourceList, getNextPage func(context.Context, WorkloadItemResourceList) (WorkloadItemResourceList, error)) WorkloadItemResourceListPage {
	return original.NewWorkloadItemResourceListPage(cur, getNextPage)
}
func NewWorkloadItemsClient(subscriptionID string) WorkloadItemsClient {
	return original.NewWorkloadItemsClient(subscriptionID)
}
func NewWorkloadItemsClientWithBaseURI(baseURI string, subscriptionID string) WorkloadItemsClient {
	return original.NewWorkloadItemsClientWithBaseURI(baseURI, subscriptionID)
}
func NewWorkloadProtectableItemResourceListIterator(page WorkloadProtectableItemResourceListPage) WorkloadProtectableItemResourceListIterator {
	return original.NewWorkloadProtectableItemResourceListIterator(page)
}
func NewWorkloadProtectableItemResourceListPage(cur WorkloadProtectableItemResourceList, getNextPage func(context.Context, WorkloadProtectableItemResourceList) (WorkloadProtectableItemResourceList, error)) WorkloadProtectableItemResourceListPage {
	return original.NewWorkloadProtectableItemResourceListPage(cur, getNextPage)
}
func PossibleAcquireStorageAccountLockValues() []AcquireStorageAccountLock {
	return original.PossibleAcquireStorageAccountLockValues()
}
func PossibleAzureFileShareTypeValues() []AzureFileShareType {
	return original.PossibleAzureFileShareTypeValues()
}
func PossibleContainerTypeBasicProtectionContainerValues() []ContainerTypeBasicProtectionContainer {
	return original.PossibleContainerTypeBasicProtectionContainerValues()
}
func PossibleContainerTypeValues() []ContainerType {
	return original.PossibleContainerTypeValues()
}
func PossibleCopyOptionsValues() []CopyOptions {
	return original.PossibleCopyOptionsValues()
}
func PossibleCreateModeValues() []CreateMode {
	return original.PossibleCreateModeValues()
}
func PossibleDataMoveLevelValues() []DataMoveLevel {
	return original.PossibleDataMoveLevelValues()
}
func PossibleDataSourceTypeValues() []DataSourceType {
	return original.PossibleDataSourceTypeValues()
}
func PossibleDayOfWeekValues() []DayOfWeek {
	return original.PossibleDayOfWeekValues()
}
func PossibleDedupStateValues() []DedupState {
	return original.PossibleDedupStateValues()
}
func PossibleEncryptionAtRestTypeValues() []EncryptionAtRestType {
	return original.PossibleEncryptionAtRestTypeValues()
}
func PossibleEngineTypeValues() []EngineType {
	return original.PossibleEngineTypeValues()
}
func PossibleEnhancedSecurityStateValues() []EnhancedSecurityState {
	return original.PossibleEnhancedSecurityStateValues()
}
func PossibleFabricNameValues() []FabricName {
	return original.PossibleFabricNameValues()
}
func PossibleFeatureTypeValues() []FeatureType {
	return original.PossibleFeatureTypeValues()
}
func PossibleHTTPStatusCodeValues() []HTTPStatusCode {
	return original.PossibleHTTPStatusCodeValues()
}
func PossibleHealthStateValues() []HealthState {
	return original.PossibleHealthStateValues()
}
func PossibleHealthStatusValues() []HealthStatus {
	return original.PossibleHealthStatusValues()
}
func PossibleIAASVMPolicyTypeValues() []IAASVMPolicyType {
	return original.PossibleIAASVMPolicyTypeValues()
}
func PossibleInfrastructureEncryptionStateValues() []InfrastructureEncryptionState {
	return original.PossibleInfrastructureEncryptionStateValues()
}
func PossibleInquiryStatusValues() []InquiryStatus {
	return original.PossibleInquiryStatusValues()
}
func PossibleIntentItemTypeValues() []IntentItemType {
	return original.PossibleIntentItemTypeValues()
}
func PossibleItemTypeValues() []ItemType {
	return original.PossibleItemTypeValues()
}
func PossibleJobOperationTypeValues() []JobOperationType {
	return original.PossibleJobOperationTypeValues()
}
func PossibleJobStatusValues() []JobStatus {
	return original.PossibleJobStatusValues()
}
func PossibleJobSupportedActionValues() []JobSupportedAction {
	return original.PossibleJobSupportedActionValues()
}
func PossibleJobTypeValues() []JobType {
	return original.PossibleJobTypeValues()
}
func PossibleLastBackupStatusValues() []LastBackupStatus {
	return original.PossibleLastBackupStatusValues()
}
func PossibleLastUpdateStatusValues() []LastUpdateStatus {
	return original.PossibleLastUpdateStatusValues()
}
func PossibleMabServerTypeValues() []MabServerType {
	return original.PossibleMabServerTypeValues()
}
func PossibleManagementTypeBasicProtectionPolicyValues() []ManagementTypeBasicProtectionPolicy {
	return original.PossibleManagementTypeBasicProtectionPolicyValues()
}
func PossibleManagementTypeValues() []ManagementType {
	return original.PossibleManagementTypeValues()
}
func PossibleMonthOfYearValues() []MonthOfYear {
	return original.PossibleMonthOfYearValues()
}
func PossibleObjectTypeBasicILRRequestValues() []ObjectTypeBasicILRRequest {
	return original.PossibleObjectTypeBasicILRRequestValues()
}
func PossibleObjectTypeBasicOperationStatusExtendedInfoValues() []ObjectTypeBasicOperationStatusExtendedInfo {
	return original.PossibleObjectTypeBasicOperationStatusExtendedInfoValues()
}
func PossibleObjectTypeBasicRecoveryPointValues() []ObjectTypeBasicRecoveryPoint {
	return original.PossibleObjectTypeBasicRecoveryPointValues()
}
func PossibleObjectTypeBasicRequestValues() []ObjectTypeBasicRequest {
	return original.PossibleObjectTypeBasicRequestValues()
}
func PossibleObjectTypeBasicRestoreRequestValues() []ObjectTypeBasicRestoreRequest {
	return original.PossibleObjectTypeBasicRestoreRequestValues()
}
func PossibleObjectTypeBasicValidateOperationRequestValues() []ObjectTypeBasicValidateOperationRequest {
	return original.PossibleObjectTypeBasicValidateOperationRequestValues()
}
func PossibleObjectTypeBasicVaultStorageConfigOperationResultResponseValues() []ObjectTypeBasicVaultStorageConfigOperationResultResponse {
	return original.PossibleObjectTypeBasicVaultStorageConfigOperationResultResponseValues()
}
func PossibleObjectTypeValues() []ObjectType {
	return original.PossibleObjectTypeValues()
}
func PossibleOperationStatusValuesValues() []OperationStatusValues {
	return original.PossibleOperationStatusValuesValues()
}
func PossibleOperationTypeValues() []OperationType {
	return original.PossibleOperationTypeValues()
}
func PossibleOverwriteOptionsValues() []OverwriteOptions {
	return original.PossibleOverwriteOptionsValues()
}
func PossiblePolicyTypeValues() []PolicyType {
	return original.PossiblePolicyTypeValues()
}
func PossiblePrivateEndpointConnectionStatusValues() []PrivateEndpointConnectionStatus {
	return original.PossiblePrivateEndpointConnectionStatusValues()
}
func PossibleProtectableContainerTypeValues() []ProtectableContainerType {
	return original.PossibleProtectableContainerTypeValues()
}
func PossibleProtectableItemTypeValues() []ProtectableItemType {
	return original.PossibleProtectableItemTypeValues()
}
func PossibleProtectedItemHealthStatusValues() []ProtectedItemHealthStatus {
	return original.PossibleProtectedItemHealthStatusValues()
}
func PossibleProtectedItemStateValues() []ProtectedItemState {
	return original.PossibleProtectedItemStateValues()
}
func PossibleProtectedItemTypeValues() []ProtectedItemType {
	return original.PossibleProtectedItemTypeValues()
}
func PossibleProtectionIntentItemTypeValues() []ProtectionIntentItemType {
	return original.PossibleProtectionIntentItemTypeValues()
}
func PossibleProtectionStateValues() []ProtectionState {
	return original.PossibleProtectionStateValues()
}
func PossibleProtectionStatusValues() []ProtectionStatus {
	return original.PossibleProtectionStatusValues()
}
func PossibleProvisioningStateValues() []ProvisioningState {
	return original.PossibleProvisioningStateValues()
}
func PossibleRecoveryModeValues() []RecoveryMode {
	return original.PossibleRecoveryModeValues()
}
func PossibleRecoveryPointTierStatusValues() []RecoveryPointTierStatus {
	return original.PossibleRecoveryPointTierStatusValues()
}
func PossibleRecoveryPointTierTypeValues() []RecoveryPointTierType {
	return original.PossibleRecoveryPointTierTypeValues()
}
func PossibleRecoveryTypeValues() []RecoveryType {
	return original.PossibleRecoveryTypeValues()
}
func PossibleRehydrationPriorityValues() []RehydrationPriority {
	return original.PossibleRehydrationPriorityValues()
}
func PossibleResourceHealthStatusValues() []ResourceHealthStatus {
	return original.PossibleResourceHealthStatusValues()
}
func PossibleRestorePointQueryTypeValues() []RestorePointQueryType {
	return original.PossibleRestorePointQueryTypeValues()
}
func PossibleRestorePointTypeValues() []RestorePointType {
	return original.PossibleRestorePointTypeValues()
}
func PossibleRestoreRequestTypeValues() []RestoreRequestType {
	return original.PossibleRestoreRequestTypeValues()
}
func PossibleRetentionDurationTypeValues() []RetentionDurationType {
	return original.PossibleRetentionDurationTypeValues()
}
func PossibleRetentionPolicyTypeValues() []RetentionPolicyType {
	return original.PossibleRetentionPolicyTypeValues()
}
func PossibleRetentionScheduleFormatValues() []RetentionScheduleFormat {
	return original.PossibleRetentionScheduleFormatValues()
}
func PossibleSQLDataDirectoryTypeValues() []SQLDataDirectoryType {
	return original.PossibleSQLDataDirectoryTypeValues()
}
func PossibleSchedulePolicyTypeValues() []SchedulePolicyType {
	return original.PossibleSchedulePolicyTypeValues()
}
func PossibleScheduleRunTypeValues() []ScheduleRunType {
	return original.PossibleScheduleRunTypeValues()
}
func PossibleSoftDeleteFeatureStateValues() []SoftDeleteFeatureState {
	return original.PossibleSoftDeleteFeatureStateValues()
}
func PossibleStorageTypeStateValues() []StorageTypeState {
	return original.PossibleStorageTypeStateValues()
}
func PossibleStorageTypeValues() []StorageType {
	return original.PossibleStorageTypeValues()
}
func PossibleSupportStatusValues() []SupportStatus {
	return original.PossibleSupportStatusValues()
}
func PossibleTypeEnumValues() []TypeEnum {
	return original.PossibleTypeEnumValues()
}
func PossibleTypeValues() []Type {
	return original.PossibleTypeValues()
}
func PossibleUsagesUnitValues() []UsagesUnit {
	return original.PossibleUsagesUnitValues()
}
func PossibleValidationStatusValues() []ValidationStatus {
	return original.PossibleValidationStatusValues()
}
func PossibleWeekOfMonthValues() []WeekOfMonth {
	return original.PossibleWeekOfMonthValues()
}
func PossibleWorkloadItemTypeBasicWorkloadItemValues() []WorkloadItemTypeBasicWorkloadItem {
	return original.PossibleWorkloadItemTypeBasicWorkloadItemValues()
}
func PossibleWorkloadItemTypeValues() []WorkloadItemType {
	return original.PossibleWorkloadItemTypeValues()
}
func PossibleWorkloadTypeValues() []WorkloadType {
	return original.PossibleWorkloadTypeValues()
}
func PossibleXcoolStateValues() []XcoolState {
	return original.PossibleXcoolStateValues()
}
func UserAgent() string {
	return original.UserAgent() + " profiles/preview"
}
func Version() string {
	return original.Version()
}
