package attestationapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/attestation/mgmt/2018-09-01/attestation"
	"github.com/Azure/go-autorest/autorest"
)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result attestation.OperationList, err error)
}

var _ OperationsClientAPI = (*attestation.OperationsClient)(nil)

// ProvidersClientAPI contains the set of methods on the ProvidersClient type.
type ProvidersClientAPI interface {
	Create(ctx context.Context, resourceGroupName string, providerName string, creationParams attestation.ServiceCreationParams) (result attestation.Provider, err error)
	Delete(ctx context.Context, resourceGroupName string, providerName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, providerName string) (result attestation.Provider, err error)
	GetDefaultByLocation(ctx context.Context, location string) (result attestation.Provider, err error)
	List(ctx context.Context) (result attestation.ProviderListResult, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result attestation.ProviderListResult, err error)
	ListDefault(ctx context.Context) (result attestation.ProviderListResult, err error)
	Update(ctx context.Context, resourceGroupName string, providerName string, updateParams attestation.ServicePatchParams) (result attestation.Provider, err error)
}

var _ ProvidersClientAPI = (*attestation.ProvidersClient)(nil)
