package azureadexternalidentitiesapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/azureadexternalidentities/mgmt/2021-04-01/azureadexternalidentities"
	"github.com/Azure/go-autorest/autorest"
)

// B2CTenantsClientAPI contains the set of methods on the B2CTenantsClient type.
type B2CTenantsClientAPI interface {
	CheckNameAvailability(ctx context.Context, checkNameAvailabilityRequestBody *azureadexternalidentities.CheckNameAvailabilityRequestBody) (result azureadexternalidentities.NameAvailabilityResponse, err error)
	Create(ctx context.Context, resourceGroupName string, resourceName string, createTenantRequestBody *azureadexternalidentities.CreateTenantRequestBody) (result azureadexternalidentities.B2CTenantsCreateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, resourceName string) (result azureadexternalidentities.B2CTenantsDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, resourceName string) (result azureadexternalidentities.B2CTenantResource, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result azureadexternalidentities.B2CTenantResourceList, err error)
	ListBySubscription(ctx context.Context) (result azureadexternalidentities.B2CTenantResourceList, err error)
	Update(ctx context.Context, resourceGroupName string, resourceName string, updateTenantRequestBody *azureadexternalidentities.B2CTenantUpdateRequest) (result azureadexternalidentities.B2CTenantResource, err error)
}

var _ B2CTenantsClientAPI = (*azureadexternalidentities.B2CTenantsClient)(nil)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result azureadexternalidentities.AvailableOperations, err error)
}

var _ OperationsClientAPI = (*azureadexternalidentities.OperationsClient)(nil)

// GuestUsagesClientAPI contains the set of methods on the GuestUsagesClient type.
type GuestUsagesClientAPI interface {
	Create(ctx context.Context, resourceGroupName string, resourceName string, resource *azureadexternalidentities.GuestUsagesResource) (result azureadexternalidentities.GuestUsagesResource, err error)
	Delete(ctx context.Context, resourceGroupName string, resourceName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, resourceName string) (result azureadexternalidentities.GuestUsagesResource, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result azureadexternalidentities.GuestUsagesResourceList, err error)
	ListBySubscription(ctx context.Context) (result azureadexternalidentities.GuestUsagesResourceList, err error)
	Update(ctx context.Context, resourceGroupName string, resourceName string, resourcePatch *azureadexternalidentities.GuestUsagesResourcePatch) (result azureadexternalidentities.GuestUsagesResource, err error)
}

var _ GuestUsagesClientAPI = (*azureadexternalidentities.GuestUsagesClient)(nil)
