package azurestackhciapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/azurestackhci/mgmt/2020-10-01/azurestackhci"
	"github.com/Azure/go-autorest/autorest"
)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result azurestackhci.AvailableOperations, err error)
}

var _ OperationsClientAPI = (*azurestackhci.OperationsClient)(nil)

// ClustersClientAPI contains the set of methods on the ClustersClient type.
type ClustersClientAPI interface {
	Create(ctx context.Context, resourceGroupName string, clusterName string, cluster azurestackhci.Cluster) (result azurestackhci.Cluster, err error)
	Delete(ctx context.Context, resourceGroupName string, clusterName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, clusterName string) (result azurestackhci.Cluster, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result azurestackhci.ClusterListPage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string) (result azurestackhci.ClusterListIterator, err error)
	ListBySubscription(ctx context.Context) (result azurestackhci.ClusterListPage, err error)
	ListBySubscriptionComplete(ctx context.Context) (result azurestackhci.ClusterListIterator, err error)
	Update(ctx context.Context, resourceGroupName string, clusterName string, cluster azurestackhci.ClusterUpdate) (result azurestackhci.Cluster, err error)
}

var _ ClustersClientAPI = (*azurestackhci.ClustersClient)(nil)
