package automanageapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/preview/automanage/mgmt/2021-04-30-preview/automanage"
	"github.com/Azure/go-autorest/autorest"
)

// BestPracticesClientAPI contains the set of methods on the BestPracticesClient type.
type BestPracticesClientAPI interface {
	Get(ctx context.Context, bestPracticeName string) (result automanage.BestPractice, err error)
	ListByTenant(ctx context.Context) (result automanage.BestPracticeList, err error)
}

var _ BestPracticesClientAPI = (*automanage.BestPracticesClient)(nil)

// BestPracticesVersionsClientAPI contains the set of methods on the BestPracticesVersionsClient type.
type BestPracticesVersionsClientAPI interface {
	Get(ctx context.Context, bestPracticeName string, versionName string) (result automanage.BestPractice, err error)
	ListByTenant(ctx context.Context, bestPracticeName string) (result automanage.BestPracticeList, err error)
}

var _ BestPracticesVersionsClientAPI = (*automanage.BestPracticesVersionsClient)(nil)

// ConfigurationProfilesClientAPI contains the set of methods on the ConfigurationProfilesClient type.
type ConfigurationProfilesClientAPI interface {
	CreateOrUpdate(ctx context.Context, configurationProfileName string, resourceGroupName string, parameters automanage.ConfigurationProfile) (result automanage.ConfigurationProfile, err error)
	Delete(ctx context.Context, resourceGroupName string, configurationProfileName string) (result autorest.Response, err error)
	Get(ctx context.Context, configurationProfileName string, resourceGroupName string) (result automanage.ConfigurationProfile, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result automanage.ConfigurationProfileList, err error)
	ListBySubscription(ctx context.Context) (result automanage.ConfigurationProfileList, err error)
	Update(ctx context.Context, configurationProfileName string, resourceGroupName string, parameters automanage.ConfigurationProfileUpdate) (result automanage.ConfigurationProfile, err error)
}

var _ ConfigurationProfilesClientAPI = (*automanage.ConfigurationProfilesClient)(nil)

// ConfigurationProfilesVersionsClientAPI contains the set of methods on the ConfigurationProfilesVersionsClient type.
type ConfigurationProfilesVersionsClientAPI interface {
	CreateOrUpdate(ctx context.Context, configurationProfileName string, versionName string, resourceGroupName string, parameters automanage.ConfigurationProfile) (result automanage.ConfigurationProfile, err error)
	Delete(ctx context.Context, resourceGroupName string, configurationProfileName string, versionName string) (result autorest.Response, err error)
	Get(ctx context.Context, configurationProfileName string, versionName string, resourceGroupName string) (result automanage.ConfigurationProfile, err error)
	ListChildResources(ctx context.Context, configurationProfileName string, resourceGroupName string) (result automanage.ConfigurationProfileList, err error)
	Update(ctx context.Context, configurationProfileName string, versionName string, resourceGroupName string, parameters automanage.ConfigurationProfileUpdate) (result automanage.ConfigurationProfile, err error)
}

var _ ConfigurationProfilesVersionsClientAPI = (*automanage.ConfigurationProfilesVersionsClient)(nil)

// ConfigurationProfileAssignmentsClientAPI contains the set of methods on the ConfigurationProfileAssignmentsClient type.
type ConfigurationProfileAssignmentsClientAPI interface {
	CreateOrUpdate(ctx context.Context, configurationProfileAssignmentName string, parameters automanage.ConfigurationProfileAssignment, resourceGroupName string, VMName string) (result automanage.ConfigurationProfileAssignment, err error)
	Delete(ctx context.Context, resourceGroupName string, configurationProfileAssignmentName string, VMName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, configurationProfileAssignmentName string, VMName string) (result automanage.ConfigurationProfileAssignment, err error)
	List(ctx context.Context, resourceGroupName string) (result automanage.ConfigurationProfileAssignmentList, err error)
	ListBySubscription(ctx context.Context) (result automanage.ConfigurationProfileAssignmentList, err error)
}

var _ ConfigurationProfileAssignmentsClientAPI = (*automanage.ConfigurationProfileAssignmentsClient)(nil)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result automanage.OperationListResult, err error)
}

var _ OperationsClientAPI = (*automanage.OperationsClient)(nil)

// ReportsClientAPI contains the set of methods on the ReportsClient type.
type ReportsClientAPI interface {
	Get(ctx context.Context, resourceGroupName string, configurationProfileAssignmentName string, reportName string, VMName string) (result automanage.Report, err error)
	ListByConfigurationProfileAssignments(ctx context.Context, resourceGroupName string, configurationProfileAssignmentName string, VMName string) (result automanage.ReportList, err error)
}

var _ ReportsClientAPI = (*automanage.ReportsClient)(nil)
