package healthcareapisapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/preview/healthcareapis/mgmt/2021-06-01-preview/healthcareapis"
)

// ServicesClientAPI contains the set of methods on the ServicesClient type.
type ServicesClientAPI interface {
	CheckNameAvailability(ctx context.Context, checkNameAvailabilityInputs healthcareapis.CheckNameAvailabilityParameters) (result healthcareapis.ServicesNameAvailabilityInfo, err error)
	CreateOrUpdate(ctx context.Context, resourceGroupName string, resourceName string, serviceDescription healthcareapis.ServicesDescription) (result healthcareapis.ServicesCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, resourceName string) (result healthcareapis.ServicesDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, resourceName string) (result healthcareapis.ServicesDescription, err error)
	List(ctx context.Context) (result healthcareapis.ServicesDescriptionListResultPage, err error)
	ListComplete(ctx context.Context) (result healthcareapis.ServicesDescriptionListResultIterator, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result healthcareapis.ServicesDescriptionListResultPage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string) (result healthcareapis.ServicesDescriptionListResultIterator, err error)
	Update(ctx context.Context, resourceGroupName string, resourceName string, servicePatchDescription healthcareapis.ServicesPatchDescription) (result healthcareapis.ServicesUpdateFuture, err error)
}

var _ ServicesClientAPI = (*healthcareapis.ServicesClient)(nil)

// PrivateEndpointConnectionsClientAPI contains the set of methods on the PrivateEndpointConnectionsClient type.
type PrivateEndpointConnectionsClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, resourceName string, privateEndpointConnectionName string, properties healthcareapis.PrivateEndpointConnection) (result healthcareapis.PrivateEndpointConnectionsCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, resourceName string, privateEndpointConnectionName string) (result healthcareapis.PrivateEndpointConnectionsDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, resourceName string, privateEndpointConnectionName string) (result healthcareapis.PrivateEndpointConnectionDescription, err error)
	ListByService(ctx context.Context, resourceGroupName string, resourceName string) (result healthcareapis.PrivateEndpointConnectionListResultDescription, err error)
}

var _ PrivateEndpointConnectionsClientAPI = (*healthcareapis.PrivateEndpointConnectionsClient)(nil)

// PrivateLinkResourcesClientAPI contains the set of methods on the PrivateLinkResourcesClient type.
type PrivateLinkResourcesClientAPI interface {
	Get(ctx context.Context, resourceGroupName string, resourceName string, groupName string) (result healthcareapis.PrivateLinkResourceDescription, err error)
	ListByService(ctx context.Context, resourceGroupName string, resourceName string) (result healthcareapis.PrivateLinkResourceListResultDescription, err error)
}

var _ PrivateLinkResourcesClientAPI = (*healthcareapis.PrivateLinkResourcesClient)(nil)

// WorkspacesClientAPI contains the set of methods on the WorkspacesClient type.
type WorkspacesClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, workspaceName string, workspace healthcareapis.Workspace) (result healthcareapis.WorkspacesCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, workspaceName string) (result healthcareapis.WorkspacesDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, workspaceName string) (result healthcareapis.Workspace, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result healthcareapis.WorkspaceListPage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string) (result healthcareapis.WorkspaceListIterator, err error)
	ListBySubscription(ctx context.Context) (result healthcareapis.WorkspaceListPage, err error)
	ListBySubscriptionComplete(ctx context.Context) (result healthcareapis.WorkspaceListIterator, err error)
	Update(ctx context.Context, resourceGroupName string, workspaceName string, workspacePatchResource healthcareapis.WorkspacePatchResource) (result healthcareapis.WorkspacesUpdateFuture, err error)
}

var _ WorkspacesClientAPI = (*healthcareapis.WorkspacesClient)(nil)

// DicomServicesClientAPI contains the set of methods on the DicomServicesClient type.
type DicomServicesClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, workspaceName string, dicomServiceName string, dicomservice healthcareapis.DicomService) (result healthcareapis.DicomServicesCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, dicomServiceName string, workspaceName string) (result healthcareapis.DicomServicesDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, workspaceName string, dicomServiceName string) (result healthcareapis.DicomService, err error)
	ListByWorkspace(ctx context.Context, resourceGroupName string, workspaceName string) (result healthcareapis.DicomServiceCollectionPage, err error)
	ListByWorkspaceComplete(ctx context.Context, resourceGroupName string, workspaceName string) (result healthcareapis.DicomServiceCollectionIterator, err error)
	Update(ctx context.Context, resourceGroupName string, dicomServiceName string, workspaceName string, dicomservicePatchResource healthcareapis.DicomServicePatchResource) (result healthcareapis.DicomServicesUpdateFuture, err error)
}

var _ DicomServicesClientAPI = (*healthcareapis.DicomServicesClient)(nil)

// IotConnectorsClientAPI contains the set of methods on the IotConnectorsClient type.
type IotConnectorsClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, workspaceName string, iotConnectorName string, iotConnector healthcareapis.IotConnector) (result healthcareapis.IotConnectorsCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, iotConnectorName string, workspaceName string) (result healthcareapis.IotConnectorsDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, workspaceName string, iotConnectorName string) (result healthcareapis.IotConnector, err error)
	ListByWorkspace(ctx context.Context, resourceGroupName string, workspaceName string) (result healthcareapis.IotConnectorCollectionPage, err error)
	ListByWorkspaceComplete(ctx context.Context, resourceGroupName string, workspaceName string) (result healthcareapis.IotConnectorCollectionIterator, err error)
	Update(ctx context.Context, resourceGroupName string, iotConnectorName string, workspaceName string, iotConnectorPatchResource healthcareapis.IotConnectorPatchResource) (result healthcareapis.IotConnectorsUpdateFuture, err error)
}

var _ IotConnectorsClientAPI = (*healthcareapis.IotConnectorsClient)(nil)

// FhirDestinationsClientAPI contains the set of methods on the FhirDestinationsClient type.
type FhirDestinationsClientAPI interface {
	ListByIotConnector(ctx context.Context, resourceGroupName string, workspaceName string, iotConnectorName string) (result healthcareapis.IotFhirDestinationCollectionPage, err error)
	ListByIotConnectorComplete(ctx context.Context, resourceGroupName string, workspaceName string, iotConnectorName string) (result healthcareapis.IotFhirDestinationCollectionIterator, err error)
}

var _ FhirDestinationsClientAPI = (*healthcareapis.FhirDestinationsClient)(nil)

// IotConnectorFhirDestinationClientAPI contains the set of methods on the IotConnectorFhirDestinationClient type.
type IotConnectorFhirDestinationClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, workspaceName string, iotConnectorName string, fhirDestinationName string, iotFhirDestination healthcareapis.IotFhirDestination) (result healthcareapis.IotConnectorFhirDestinationCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, workspaceName string, iotConnectorName string, fhirDestinationName string) (result healthcareapis.IotConnectorFhirDestinationDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, workspaceName string, iotConnectorName string, fhirDestinationName string) (result healthcareapis.IotFhirDestination, err error)
}

var _ IotConnectorFhirDestinationClientAPI = (*healthcareapis.IotConnectorFhirDestinationClient)(nil)

// FhirServicesClientAPI contains the set of methods on the FhirServicesClient type.
type FhirServicesClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, workspaceName string, fhirServiceName string, fhirservice healthcareapis.FhirService) (result healthcareapis.FhirServicesCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, fhirServiceName string, workspaceName string) (result healthcareapis.FhirServicesDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, workspaceName string, fhirServiceName string) (result healthcareapis.FhirService, err error)
	ListByWorkspace(ctx context.Context, resourceGroupName string, workspaceName string) (result healthcareapis.FhirServiceCollectionPage, err error)
	ListByWorkspaceComplete(ctx context.Context, resourceGroupName string, workspaceName string) (result healthcareapis.FhirServiceCollectionIterator, err error)
	Update(ctx context.Context, resourceGroupName string, fhirServiceName string, workspaceName string, fhirservicePatchResource healthcareapis.FhirServicePatchResource) (result healthcareapis.FhirServicesUpdateFuture, err error)
}

var _ FhirServicesClientAPI = (*healthcareapis.FhirServicesClient)(nil)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result healthcareapis.ListOperationsPage, err error)
	ListComplete(ctx context.Context) (result healthcareapis.ListOperationsIterator, err error)
}

var _ OperationsClientAPI = (*healthcareapis.OperationsClient)(nil)

// OperationResultsClientAPI contains the set of methods on the OperationResultsClient type.
type OperationResultsClientAPI interface {
	Get(ctx context.Context, locationName string, operationResultID string) (result healthcareapis.OperationResultsDescription, err error)
}

var _ OperationResultsClientAPI = (*healthcareapis.OperationResultsClient)(nil)
