// Package migrate implements the Azure ARM Migrate service API version 2018-09-01-preview.
//
// Migrate your workloads to Azure.
package migrate

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"github.com/Azure/go-autorest/autorest"
)

const (
	// DefaultBaseURI is the default URI used for the service Migrate
	DefaultBaseURI = "https://management.azure.com"
)

// BaseClient is the base client for Migrate.
type BaseClient struct {
	autorest.Client
	BaseURI        string
	SubscriptionID string
	AcceptLanguage string
}

// New creates an instance of the BaseClient client.
func New(subscriptionID string, acceptLanguage string) BaseClient {
	return NewWithBaseURI(DefaultBaseURI, subscriptionID, acceptLanguage)
}

// NewWithBaseURI creates an instance of the BaseClient client using a custom endpoint.  Use this when interacting with
// an Azure cloud that uses a non-standard base URI (sovereign clouds, Azure stack).
func NewWithBaseURI(baseURI string, subscriptionID string, acceptLanguage string) BaseClient {
	return BaseClient{
		Client:         autorest.NewClientWithUserAgent(UserAgent()),
		BaseURI:        baseURI,
		SubscriptionID: subscriptionID,
		AcceptLanguage: acceptLanguage,
	}
}
