package quotaapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/preview/quota/mgmt/2021-03-15-preview/quota"
)

// UsagesClientAPI contains the set of methods on the UsagesClient type.
type UsagesClientAPI interface {
	Get(ctx context.Context, resourceName string, scope string) (result quota.CurrentUsagesBase, err error)
	List(ctx context.Context, scope string) (result quota.UsagesLimitsPage, err error)
	ListComplete(ctx context.Context, scope string) (result quota.UsagesLimitsIterator, err error)
}

var _ UsagesClientAPI = (*quota.UsagesClient)(nil)

// ClientAPI contains the set of methods on the Client type.
type ClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceName string, scope string, createQuotaRequest quota.CurrentQuotaLimitBase) (result quota.CreateOrUpdateFuture, err error)
	Get(ctx context.Context, resourceName string, scope string) (result quota.CurrentQuotaLimitBase, err error)
	List(ctx context.Context, scope string) (result quota.LimitsPage, err error)
	ListComplete(ctx context.Context, scope string) (result quota.LimitsIterator, err error)
	Update(ctx context.Context, resourceName string, scope string, createQuotaRequest quota.CurrentQuotaLimitBase) (result quota.UpdateFuture, err error)
}

var _ ClientAPI = (*quota.Client)(nil)

// RequestStatusClientAPI contains the set of methods on the RequestStatusClient type.
type RequestStatusClientAPI interface {
	Get(ctx context.Context, ID string, scope string) (result quota.RequestDetails, err error)
	List(ctx context.Context, scope string, filter string, top *int32, skiptoken string) (result quota.RequestDetailsListPage, err error)
	ListComplete(ctx context.Context, scope string, filter string, top *int32, skiptoken string) (result quota.RequestDetailsListIterator, err error)
}

var _ RequestStatusClientAPI = (*quota.RequestStatusClient)(nil)

// OperationClientAPI contains the set of methods on the OperationClient type.
type OperationClientAPI interface {
	List(ctx context.Context) (result quota.OperationListPage, err error)
	ListComplete(ctx context.Context) (result quota.OperationListIterator, err error)
}

var _ OperationClientAPI = (*quota.OperationClient)(nil)
