package storagetables

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

// GeoReplicationStatusType enumerates the values for geo replication status type.
type GeoReplicationStatusType string

const (
	// Bootstrap ...
	Bootstrap GeoReplicationStatusType = "bootstrap"
	// Live ...
	Live GeoReplicationStatusType = "live"
	// Unavailable ...
	Unavailable GeoReplicationStatusType = "unavailable"
)

// PossibleGeoReplicationStatusTypeValues returns an array of possible values for the GeoReplicationStatusType const type.
func PossibleGeoReplicationStatusTypeValues() []GeoReplicationStatusType {
	return []GeoReplicationStatusType{Bootstrap, Live, Unavailable}
}

// OdataMetadataFormat enumerates the values for odata metadata format.
type OdataMetadataFormat string

const (
	// Applicationjsonodatafullmetadata ...
	Applicationjsonodatafullmetadata OdataMetadataFormat = "application/json;odata=fullmetadata"
	// Applicationjsonodataminimalmetadata ...
	Applicationjsonodataminimalmetadata OdataMetadataFormat = "application/json;odata=minimalmetadata"
	// Applicationjsonodatanometadata ...
	Applicationjsonodatanometadata OdataMetadataFormat = "application/json;odata=nometadata"
)

// PossibleOdataMetadataFormatValues returns an array of possible values for the OdataMetadataFormat const type.
func PossibleOdataMetadataFormatValues() []OdataMetadataFormat {
	return []OdataMetadataFormat{Applicationjsonodatafullmetadata, Applicationjsonodataminimalmetadata, Applicationjsonodatanometadata}
}

// ResponseFormat enumerates the values for response format.
type ResponseFormat string

const (
	// ReturnContent ...
	ReturnContent ResponseFormat = "return-content"
	// ReturnNoContent ...
	ReturnNoContent ResponseFormat = "return-no-content"
)

// PossibleResponseFormatValues returns an array of possible values for the ResponseFormat const type.
func PossibleResponseFormatValues() []ResponseFormat {
	return []ResponseFormat{ReturnContent, ReturnNoContent}
}
