package vmwarecloudsimpleapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/vmwarecloudsimple/mgmt/2019-04-01/vmwarecloudsimple"
	"github.com/Azure/go-autorest/autorest"
)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	Get(ctx context.Context, regionID string, operationID string) (result vmwarecloudsimple.OperationResource, err error)
	List(ctx context.Context) (result vmwarecloudsimple.AvailableOperationsListResponsePage, err error)
	ListComplete(ctx context.Context) (result vmwarecloudsimple.AvailableOperationsListResponseIterator, err error)
}

var _ OperationsClientAPI = (*vmwarecloudsimple.OperationsClient)(nil)

// DedicatedCloudNodesClientAPI contains the set of methods on the DedicatedCloudNodesClient type.
type DedicatedCloudNodesClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, dedicatedCloudNodeName string, dedicatedCloudNodeRequest vmwarecloudsimple.DedicatedCloudNode) (result vmwarecloudsimple.DedicatedCloudNodesCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, dedicatedCloudNodeName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, dedicatedCloudNodeName string) (result vmwarecloudsimple.DedicatedCloudNode, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string, filter string, top *int32, skipToken string) (result vmwarecloudsimple.DedicatedCloudNodeListResponsePage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string, filter string, top *int32, skipToken string) (result vmwarecloudsimple.DedicatedCloudNodeListResponseIterator, err error)
	ListBySubscription(ctx context.Context, filter string, top *int32, skipToken string) (result vmwarecloudsimple.DedicatedCloudNodeListResponsePage, err error)
	ListBySubscriptionComplete(ctx context.Context, filter string, top *int32, skipToken string) (result vmwarecloudsimple.DedicatedCloudNodeListResponseIterator, err error)
	Update(ctx context.Context, resourceGroupName string, dedicatedCloudNodeName string, dedicatedCloudNodeRequest vmwarecloudsimple.PatchPayload) (result vmwarecloudsimple.DedicatedCloudNode, err error)
}

var _ DedicatedCloudNodesClientAPI = (*vmwarecloudsimple.DedicatedCloudNodesClient)(nil)

// DedicatedCloudServicesClientAPI contains the set of methods on the DedicatedCloudServicesClient type.
type DedicatedCloudServicesClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, dedicatedCloudServiceName string, dedicatedCloudServiceRequest vmwarecloudsimple.DedicatedCloudService) (result vmwarecloudsimple.DedicatedCloudService, err error)
	Delete(ctx context.Context, resourceGroupName string, dedicatedCloudServiceName string) (result vmwarecloudsimple.DedicatedCloudServicesDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, dedicatedCloudServiceName string) (result vmwarecloudsimple.DedicatedCloudService, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string, filter string, top *int32, skipToken string) (result vmwarecloudsimple.DedicatedCloudServiceListResponsePage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string, filter string, top *int32, skipToken string) (result vmwarecloudsimple.DedicatedCloudServiceListResponseIterator, err error)
	ListBySubscription(ctx context.Context, filter string, top *int32, skipToken string) (result vmwarecloudsimple.DedicatedCloudServiceListResponsePage, err error)
	ListBySubscriptionComplete(ctx context.Context, filter string, top *int32, skipToken string) (result vmwarecloudsimple.DedicatedCloudServiceListResponseIterator, err error)
	Update(ctx context.Context, resourceGroupName string, dedicatedCloudServiceName string, dedicatedCloudServiceRequest vmwarecloudsimple.PatchPayload) (result vmwarecloudsimple.DedicatedCloudService, err error)
}

var _ DedicatedCloudServicesClientAPI = (*vmwarecloudsimple.DedicatedCloudServicesClient)(nil)

// SkusAvailabilityClientAPI contains the set of methods on the SkusAvailabilityClient type.
type SkusAvailabilityClientAPI interface {
	List(ctx context.Context, regionID string, skuID string) (result vmwarecloudsimple.SkuAvailabilityListResponsePage, err error)
	ListComplete(ctx context.Context, regionID string, skuID string) (result vmwarecloudsimple.SkuAvailabilityListResponseIterator, err error)
}

var _ SkusAvailabilityClientAPI = (*vmwarecloudsimple.SkusAvailabilityClient)(nil)

// PrivateCloudsClientAPI contains the set of methods on the PrivateCloudsClient type.
type PrivateCloudsClientAPI interface {
	Get(ctx context.Context, pcName string, regionID string) (result vmwarecloudsimple.PrivateCloud, err error)
	List(ctx context.Context, regionID string) (result vmwarecloudsimple.PrivateCloudListPage, err error)
	ListComplete(ctx context.Context, regionID string) (result vmwarecloudsimple.PrivateCloudListIterator, err error)
}

var _ PrivateCloudsClientAPI = (*vmwarecloudsimple.PrivateCloudsClient)(nil)

// CustomizationPoliciesClientAPI contains the set of methods on the CustomizationPoliciesClient type.
type CustomizationPoliciesClientAPI interface {
	Get(ctx context.Context, regionID string, pcName string, customizationPolicyName string) (result vmwarecloudsimple.CustomizationPolicy, err error)
	List(ctx context.Context, regionID string, pcName string, filter string) (result vmwarecloudsimple.CustomizationPoliciesListResponsePage, err error)
	ListComplete(ctx context.Context, regionID string, pcName string, filter string) (result vmwarecloudsimple.CustomizationPoliciesListResponseIterator, err error)
}

var _ CustomizationPoliciesClientAPI = (*vmwarecloudsimple.CustomizationPoliciesClient)(nil)

// ResourcePoolsClientAPI contains the set of methods on the ResourcePoolsClient type.
type ResourcePoolsClientAPI interface {
	Get(ctx context.Context, regionID string, pcName string, resourcePoolName string) (result vmwarecloudsimple.ResourcePool, err error)
	List(ctx context.Context, regionID string, pcName string) (result vmwarecloudsimple.ResourcePoolsListResponsePage, err error)
	ListComplete(ctx context.Context, regionID string, pcName string) (result vmwarecloudsimple.ResourcePoolsListResponseIterator, err error)
}

var _ ResourcePoolsClientAPI = (*vmwarecloudsimple.ResourcePoolsClient)(nil)

// VirtualMachineTemplatesClientAPI contains the set of methods on the VirtualMachineTemplatesClient type.
type VirtualMachineTemplatesClientAPI interface {
	Get(ctx context.Context, regionID string, pcName string, virtualMachineTemplateName string) (result vmwarecloudsimple.VirtualMachineTemplate, err error)
	List(ctx context.Context, pcName string, regionID string, resourcePoolName string) (result vmwarecloudsimple.VirtualMachineTemplateListResponsePage, err error)
	ListComplete(ctx context.Context, pcName string, regionID string, resourcePoolName string) (result vmwarecloudsimple.VirtualMachineTemplateListResponseIterator, err error)
}

var _ VirtualMachineTemplatesClientAPI = (*vmwarecloudsimple.VirtualMachineTemplatesClient)(nil)

// VirtualNetworksClientAPI contains the set of methods on the VirtualNetworksClient type.
type VirtualNetworksClientAPI interface {
	Get(ctx context.Context, regionID string, pcName string, virtualNetworkName string) (result vmwarecloudsimple.VirtualNetwork, err error)
	List(ctx context.Context, regionID string, pcName string, resourcePoolName string) (result vmwarecloudsimple.VirtualNetworkListResponsePage, err error)
	ListComplete(ctx context.Context, regionID string, pcName string, resourcePoolName string) (result vmwarecloudsimple.VirtualNetworkListResponseIterator, err error)
}

var _ VirtualNetworksClientAPI = (*vmwarecloudsimple.VirtualNetworksClient)(nil)

// UsagesClientAPI contains the set of methods on the UsagesClient type.
type UsagesClientAPI interface {
	List(ctx context.Context, regionID string, filter string) (result vmwarecloudsimple.UsageListResponsePage, err error)
	ListComplete(ctx context.Context, regionID string, filter string) (result vmwarecloudsimple.UsageListResponseIterator, err error)
}

var _ UsagesClientAPI = (*vmwarecloudsimple.UsagesClient)(nil)

// VirtualMachinesClientAPI contains the set of methods on the VirtualMachinesClient type.
type VirtualMachinesClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, virtualMachineName string, virtualMachineRequest vmwarecloudsimple.VirtualMachine) (result vmwarecloudsimple.VirtualMachinesCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, virtualMachineName string) (result vmwarecloudsimple.VirtualMachinesDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, virtualMachineName string) (result vmwarecloudsimple.VirtualMachine, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string, filter string, top *int32, skipToken string) (result vmwarecloudsimple.VirtualMachineListResponsePage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string, filter string, top *int32, skipToken string) (result vmwarecloudsimple.VirtualMachineListResponseIterator, err error)
	ListBySubscription(ctx context.Context, filter string, top *int32, skipToken string) (result vmwarecloudsimple.VirtualMachineListResponsePage, err error)
	ListBySubscriptionComplete(ctx context.Context, filter string, top *int32, skipToken string) (result vmwarecloudsimple.VirtualMachineListResponseIterator, err error)
	Start(ctx context.Context, resourceGroupName string, virtualMachineName string) (result vmwarecloudsimple.VirtualMachinesStartFuture, err error)
	Stop(ctx context.Context, resourceGroupName string, virtualMachineName string, mParameter *vmwarecloudsimple.VirtualMachineStopMode, mode vmwarecloudsimple.StopMode) (result vmwarecloudsimple.VirtualMachinesStopFuture, err error)
	Update(ctx context.Context, resourceGroupName string, virtualMachineName string, virtualMachineRequest vmwarecloudsimple.PatchPayload) (result vmwarecloudsimple.VirtualMachinesUpdateFuture, err error)
}

var _ VirtualMachinesClientAPI = (*vmwarecloudsimple.VirtualMachinesClient)(nil)
